GNU bug report logs - #30993
OpenSSH sshd killed by Shepherd 0.4.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Leo Famulari <leo@HIDDEN>; Keywords: unreproducible; merged with #33299; dated Thu, 29 Mar 2018 20:09:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 7 Nov 2018 21:36:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 07 16:36:55 2018
Received: from localhost ([127.0.0.1]:39990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gKVVP-0004z6-33
	for submit <at> debbugs.gnu.org; Wed, 07 Nov 2018 16:36:55 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40083)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gKVVL-0004ys-5W
 for 30993 <at> debbugs.gnu.org; Wed, 07 Nov 2018 16:36:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gKVVC-0007EC-PC
 for 30993 <at> debbugs.gnu.org; Wed, 07 Nov 2018 16:36:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36787)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gKVV4-00079h-TJ; Wed, 07 Nov 2018 16:36:38 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=47750 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gKVV4-0003nz-KW; Wed, 07 Nov 2018 16:36:34 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#33299: shepherd: Service ssh-daemon could not be started.
References: <c78be403-0616-67a0-fd5a-e1196b6a14d1@HIDDEN>
Date: Wed, 07 Nov 2018 22:36:33 +0100
In-Reply-To: <c78be403-0616-67a0-fd5a-e1196b6a14d1@HIDDEN> (swedebugia's
 message of "Wed, 7 Nov 2018 11:03:10 +0100")
Message-ID: <87muqksh7i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30993
Cc: 33299 <at> debbugs.gnu.org, 30993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

swedebugia <swedebugia@HIDDEN> skribis:

> This morning I started my GuixSD VM as usual.
>
> Openssh server was not running even though it was enabled and should
> have been respawned. Hmm.

This seems to be the same issue as described in
<https://issues.guix.info/issue/30993> (I=E2=80=99ve now merged both).

It=E2=80=99s a serious problem=E2=80=A6

Thanks for reporting it,
Ludo=E2=80=99.





Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.
Merged 30993 33299. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 28 Aug 2018 09:47:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 28 05:47:28 2018
Received: from localhost ([127.0.0.1]:34837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fuaat-0000cc-Pw
	for submit <at> debbugs.gnu.org; Tue, 28 Aug 2018 05:47:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fuaas-0000cR-Li
 for 30993 <at> debbugs.gnu.org; Tue, 28 Aug 2018 05:47:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fuaak-0003bi-45
 for 30993 <at> debbugs.gnu.org; Tue, 28 Aug 2018 05:47:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39634)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fuaai-0003au-4v; Tue, 28 Aug 2018 05:47:17 -0400
Received: from [193.50.110.186] (port=33580 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fuaah-0005UJ-DD; Tue, 28 Aug 2018 05:47:16 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
References: <20180329200803.GA15842@HIDDEN>
Date: Tue, 28 Aug 2018 11:47:12 +0200
In-Reply-To: <20180329200803.GA15842@HIDDEN> (Leo Famulari's message of
 "Thu, 29 Mar 2018 16:08:03 -0400")
Message-ID: <874lfen7q7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Leo,

Leo Famulari <leo@HIDDEN> skribis:

> Since the update to Shepherd 0.4.0, I've found that OpenSSH's sshd is
> killed almost immediately after it starts with signal 15. I confirmed
> the issue started with the Shepherd upgrade by bisecting our Git
> history.
>
> I can reproduce the issue from commit
> b6beda1d6b9093a8493b5c3cde33ed522242c451 (gnu: Add botan.).

I=E2=80=99m =E2=80=9Chappy=E2=80=9D to say that I experienced this on a ser=
ver=E2=80=94not having ssh
access to a remote server is fairly annoying, I definitely sympathize=E2=80=
=A6

What I see is this:

--8<---------------cut here---------------start------------->8---
Aug  6 07:56:40 localhost shepherd[1]: Service loopback has been started.=20

[...]

Aug  6 07:56:51 localhost sshd[606]: Server listening on 0.0.0.0 port 22.

[...]

Aug  6 07:57:05 localhost shepherd[1]: Service ssh-daemon could not be star=
ted.=20

[...]

Aug  6 07:57:46 localhost vmunix: [   10.049791] random: ssh-keygen: uninit=
ialized urandom read (32 bytes read)
--8<---------------cut here---------------end--------------->8---

(Note that the last message was pulled from /dev/kmsg by syslogd, but
it=E2=80=99s about an event that actually occurred before the first message=
.)

It waited for ~15 seconds, although =E2=80=98%pid-file-timeout=E2=80=99 in =
(shepherd
service) is only 5 seconds.

The SIGTERM you were seeing very likely comes from this bit:

--8<---------------cut here---------------start------------->8---
      (match (read-pid-file pid-file
                            #:max-delay pid-file-timeout)
        (#f
         (catch-system-error (kill pid SIGTERM))
         #f)
        ((? integer? pid)
         pid))
--8<---------------cut here---------------end--------------->8---

On another machine:

--8<---------------cut here---------------start------------->8---
Aug 28 09:10:49 localhost sshd[435]: Server listening on 0.0.0.0 port 22.
Aug 28 09:10:49 localhost sshd[435]: Server listening on :: port 22.

[...]

Aug 28 09:10:50 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
--8<---------------cut here---------------end--------------->8---

I wonder if this has to do with IPv6 (the failing case lacks the =E2=80=9CS=
erver
listening on ::=E2=80=9D line), or if it=E2=80=99s just sshd occasionally t=
aking a long
time to start.

Is it easily reproducible for you?  Did you eventually gather more
details?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 23 Jul 2018 17:08:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 23 13:08:51 2018
Received: from localhost ([127.0.0.1]:54298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fheKJ-0000fp-56
	for submit <at> debbugs.gnu.org; Mon, 23 Jul 2018 13:08:51 -0400
Received: from gabriel-vm-2.zfn.uni-bremen.de ([134.102.50.17]:37008
 helo=smtp.uni-bremen.de) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <castilma@HIDDEN>)
 id 1fheKG-0000fX-He; Mon, 23 Jul 2018 13:08:49 -0400
Received: from [192.168.178.5] (ip4d168fdd.dynamic.kabel-deutschland.de
 [77.22.143.221])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by smtp.uni-bremen.de (Postfix) with ESMTPSA id 4A99F20766;
 Mon, 23 Jul 2018 19:08:42 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=uni-bremen.de; s=dkim;
 t=1532365722; bh=E1mq+98vEPXJiHq/mRCUYakhCF1xmpVuYypF//gVDKc=;
 h=To:Cc:References:From:Date:In-Reply-To;
 b=KVXwCmmfmaAP8rVpLvXdPplip0TIkzXh0G98BpNl/YxrVO6fYBYVPAnXuik/Lvv6f
 ogQWt59lIDzY/0EXN0HRhAP04YIvnhiiytknxRVDjC+9DSgpyt8i3l3FX8O/v70wn5
 l9M/Nf6W4nrooNo5bsiJKgYu+rjGc643ccFO0E2k=
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
To: =?UTF-8?Q?Cl=c3=a9ment_Lassieur?= <clement@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN> <87r2mvnm29.fsf@HIDDEN>
 <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
 <20180503163808.GA1019@HIDDEN>
 <FB84BAEB-5F14-45C2-9BD6-8FF8CFA5BAD5@HIDDEN>
 <20180506195050.GD8038@HIDDEN>
 <fb962e2b-2b18-7adc-ff6d-5fbb0a56c8b4@HIDDEN>
 <87sh4f5ptn.fsf@HIDDEN>
From: Martin Castillo <castilma@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=castilma@HIDDEN; prefer-encrypt=mutual; keydata=
 xsBNBFXp3VwBCACz5FpcoKuJTL5fndn8CSApG22k/Tmpy2hur38IQKAeIFlk82Z4tvrConIM
 31JeFulbBXIxHyiW6Y3358YUPe1FLnG6x3bzO0Dlhb72cgb1KZtrrfNE4tahjPTzBaTqwuvg
 O2OOAwDhHDv1OyBz/7wS4yUiEoNmjHYMieu7kzGnC4w3sjNESDYKoKqoNN1bx4XZMNPnUG1D
 +p5IOfhRD3fIMEJcnkIjQmR0mKLdlCZmpH7rYDbqg/aF7n0RsDoJ8dAVxLTKMG0HB7w5hI37
 9nJfcIziTfmyd8QM2TN7nEDokRqUMs5jXohzScyo4AL8/dKxPMgJih+muGbTMvbvLmdbABEB
 AAHNLE1hcnRpbiBDYXN0aWxsbyA8TWFydGluLkNhc3RpbGxvQGZyZWVuZXQuZGU+wsCBBBMB
 AgArAhsDBgsJCAcDAgYVCAIJCgsEFgIDAQIeAQIXgAUJENTBQQUCWZY2KwIZAQAKCRDME0jx
 5kQI7HbJB/9W6FpUV8SjrRLntlboZAhxoK/myrQCDWCk3yHJtHJGTabaEx44Ti7AaRm54O5W
 LORmlmL3ck+ReNzrR8u/xIVZ/gCRdt+GnEtDwm5FLZjRXbbaTFovlOQWLu0IW1iUllizGV7F
 aHjPdBoWjkLLLMA9aHDtfkzAxO4qlQZvjXSKvJHGp05AlPuPmtfqNSIXH0bh9rxOmKDMCj8J
 rHtnDzyVjzjBaakNYoQS+DNvjzLkzvcBZZ6Q99d/O0w5esRCaqAKFzSilxFT85Q8gpWIqLkP
 h9ylQ0HxjB03bQqQzV9BpVQ+Qv4Ovf+K9yptTUANxD3xY70RHzeQNvrS3FV3mKjPzsBNBFXp
 3VwBCADTmylgxDM50a78oW4RJYuDRPq1nDj0R5Kw7SvmH3Du00jy+Mo2I6+4fKGogLEKH+HS
 gn9iSZFX09scxQEcQuZk0j+fAcbdY4gEBZpTE87Mc2y3C/q2gnMLkwKUb5Cx0WNx5HnWLIse
 G6sa4cHzj3CtsS6H/YDJver69eEIfNac0HC98HKhKV4WrcY1JG0lfNnLJ8frf7pEQv+/KIOt
 C/QE742DO5p1fAvaKtuNxAzJP1I5iWc8zp9fe5cA7zc0wXgpNBDxGfs3ww2+VJkSTVbCKoen
 J8WEhqBnvPq8i2ogF3C7c45DulIb3CBYNtttIoLQ5D/1e7JSYUF9iIPxUdTjABEBAAHCwGUE
 GAECAA8CGwwFAlmWN64FCRDUwtIACgkQzBNI8eZECOwkiwf8DpOJmziCx2QauLK7olxOq1U2
 S81nD9UZfaycw7hQ6L+oCYPZuG/0v1losqfSBgAZSlY3f2SmTbg/uOJEepV6000SEcm+6shu
 LZ3qLNM+pQr2dX09Ch0lX9nrwIua3Lkbo6XEgN/h6wc0psr7GmmutAGzVG3dnBiRnXYqw4bR
 ab05xMBWY82GTUnGtKmVXAUJxkhUftWDR1uXUxeJnQToBw72XQ5nxGU3K6xOYhtY9+tMo0um
 kcN4sJf/I/Y/A8Gbc6+Ry7f16RtCTZ4+PnF/GaQ1ec9kpF6IV6nAFhOdrVnvEANmqcvGMx5c
 sutNKoih/YzfyhoLbkvUkgoAQIuZ6g==
Message-ID: <a5d68301-2219-4e4a-0350-a906e4d4a379@HIDDEN>
Date: Mon, 23 Jul 2018 19:08:36 +0200
MIME-Version: 1.0
In-Reply-To: <87sh4f5ptn.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="oR2tF0vketZ4YqDVXM23y4qGxG7HwWHhg"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org, Julien Lepiller <julien@HIDDEN>,
 32197 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--oR2tF0vketZ4YqDVXM23y4qGxG7HwWHhg
Content-Type: multipart/mixed; boundary="pfUhZONohLAO7wUUIHoX7LgcBWmS68m7u";
 protected-headers="v1"
From: Martin Castillo <castilma@HIDDEN>
To: =?UTF-8?Q?Cl=c3=a9ment_Lassieur?= <clement@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
Cc: 30993 <at> debbugs.gnu.org, 32197 <at> debbugs.gnu.org,
 Julien Lepiller <julien@HIDDEN>
Message-ID: <a5d68301-2219-4e4a-0350-a906e4d4a379@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN> <87r2mvnm29.fsf@HIDDEN>
 <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
 <20180503163808.GA1019@HIDDEN>
 <FB84BAEB-5F14-45C2-9BD6-8FF8CFA5BAD5@HIDDEN>
 <20180506195050.GD8038@HIDDEN>
 <fb962e2b-2b18-7adc-ff6d-5fbb0a56c8b4@HIDDEN>
 <87sh4f5ptn.fsf@HIDDEN>
In-Reply-To: <87sh4f5ptn.fsf@HIDDEN>

--pfUhZONohLAO7wUUIHoX7LgcBWmS68m7u
Content-Type: multipart/mixed;
 boundary="------------F142EB5B9F5679307A97EBFC"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------F142EB5B9F5679307A97EBFC
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 19.07.2018 15:15, Cl=C3=A9ment Lassieur wrote:
> [...]
> Martin, could you please test it?  (You just need to 'guix pull' and tr=
y
> again.)  Leo, if you confirm my analysis, could you please unmerge the
> bugs?
>
> Thanks,
> Cl=C3=A9ment
>

It still does not work for me.

Attached are my guix version, dmesg|grep shepherd output, config.scm and
my qemu invocation (metal).

I run that system in qemu, but it is installed directly on my harddrive.

Martin

--=20
GPG: 7FDE 7190 2F73 2C50 236E  403D CC13 48F1 E644 08EC

--------------F142EB5B9F5679307A97EBFC
Content-Type: text/x-scheme;
 name="config.scm"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="config.scm"

;; This is an operating system configuration template
;; for a "desktop" setup without full-blown desktop
;; environments.
;; This is an operating system configuration template
;; for a "bare bones" setup, with no X11 display server.

;(use-modules (gnu))
(use-modules (gnu) (gnu system nss))
(use-service-modules ssh)
(use-service-modules base desktop xorg)
(use-package-modules certs linux suckless wm)
;(use-package-modules admin)

(define cyborg-quirk
"Section \"InputClass\"
	Identifier \"Saitek Cyborg R.A.T.5 Mouse\"
	MatchIsPointer \"on\"
	MatchProduct \"Saitek Cyborg R.A.T.5 Mouse\"
	MatchVendor \"Saitek|SAITEK\"
	MatchDevicePath \"/dev/input/event*\"
	Option \"ButtonMapping\" \"1 2 3 4 5 6 7 2 9 4 5 12 0 0 0\"
	Option \"ZAxisMapping\" \"10 11\"
#	Option \"AutoReleaseButtons\" \"12 13 14 15\"
EndSection
")

(define xneo
"Section \"InputClass\"
	Identifier \"keyboard-all\"
	Option \"XkbLayout\" \"neo\"
	MatchIsKeyboard \"on\"
EndSection
")

(define %my-xorg-conf
	(xorg-configuration-file #:extra-config (list cyborg-quirk xneo)))

(define %my-startx
	(xorg-start-command #:configuration-file %my-xorg-conf))

(define %my-services
       ;; My very own list of services.
       (modify-services %desktop-services
         (guix-service-type config =3D>
                            (guix-configuration
                             (inherit config)
			     (extra-options '("-M4"))
                             (substitute-urls (cons* "https://berlin.guix=
sd.org"
                                                     "https://hydra.gnu.o=
rg"
                                                     (guix-configuration-=
substitute-urls config)))))
         (openssh-service-type config =3D>
                            (openssh-configuration
                             (inherit config)
			     (x11-forwarding? (openssh-configuration-x11-forwarding? config)))=
)
	 (slim-service-type config =3D>
			    (slim-configuration
			      (inherit config)
			      (startx %my-startx)
			      (default-user "mcd")))))


(operating-system
  (host-name "komputilo")
  (timezone "Europe/Berlin")
  (locale "de_DE.UTF-8")
  (hosts-file (plain-file "hosts"
"127.0.0.1 localhost komputilo
::1       localhost komputilo

192.168.178.20 pi.fritz.box pi"))

  ;; Assuming /dev/sdX is the target hard disk, and "my-root" is
  ;; the label of the target root file system.
  (bootloader (bootloader-configuration (bootloader
                                          (bootloader (inherit grub-bootl=
oader)
                                                      (installer #~(const=
 #t))))))
;  (bootloader (bootloader-configuration (bootloader grub-bootloader)
;					(target "/dev/sda3")
				  ;(menu-entries '((menu-entry
				;		    (label "Grub Nixos")
				;		    (multiboot "(hd0)") ; still unsupported
				;                   )))
;					))
  (file-systems (cons (file-system
                        (device (file-system-label "guix-root"))
                        (mount-point "/")
                        (type "ext4"))
                      %base-file-systems))

  ;; This is where user accounts are specified.  The "root"
  ;; account is implicit, and is initially created with the
  ;; empty password.
  (users (cons (user-account
                (name "mcd")
                (comment "Martin Castillo")
                (group "users")

                ;; Adding the account to the "wheel" group
                ;; makes it a sudoer.  Adding it to "audio"
                ;; and "video" allows the user to play sound
                ;; and access the webcam.
                (supplementary-groups '("wheel" ; "plugdev" ? f=C3=BCr mt=
p? ist aber undefiniert
                                        "audio" "video" "netdev")) ;workm=
anager"))
                (home-directory "/home/mcd"))
               %base-user-accounts))

  ;; Globally-installed packages.
  ;(packages (cons tcpdump %base-packages))
  ;; Add a bunch of window managers; we can choose one at
  ;; the log-in screen with F1.
  (packages (cons* dmenu ;window managers
                   nss-certs                      ;for HTTPS access
                   kbd-neo
                   %base-packages))

  ;; Add services to the baseline: a DHCP client and
  ;; an SSH server.
  (services (cons* ;(dhcp-client-service)
;                   (gpm-service) ;mouse in vt
                   (console-keymap-service (file-append kbd-neo "/share/k=
eymaps/neo.map"));;
                   (service openssh-service-type
                            (openssh-configuration
                              (x11-forwarding? #t)
                              (accepted-environment '("COLORTERM" "Foo"))=

                              (port-number 22)))

                   (simple-service 'store-my-config etc-service-type
                                   `(("config.scm" ,(local-file (assoc-re=
f
                                                                  (curren=
t-source-location)
                                                                  'filena=
me)))))
                   (xfce-desktop-service)
                   %my-services))

  ;; Use the "desktop" services, which include the X11
  ;; log-in service, networking with Wicd, and more.
  ;(services %desktop-services)

  ;; Allow resolution of '.local' host names with mDNS.
  (name-service-switch %mdns-host-lookup-nss))

--------------F142EB5B9F5679307A97EBFC
Content-Type: text/plain; charset=UTF-8;
 name="shepherd.dmesg"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="shepherd.dmesg"
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--------------F142EB5B9F5679307A97EBFC
Content-Type: text/plain; charset=UTF-8;
 name="version"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="version"

Z3VpeCAoR05VIEd1aXgpIDI2NDk2N2M4ODNkMzI2MDZjMThiMzc4ZjcxN2MzMDNlNzQ5MGM5
NDIKQ29weXJpZ2h0IChDKSAyMDE4IHRoZSBHdWl4IGF1dGhvcnMKTGljZW5zZSBHUEx2Mys6
IEdOVSBHUEwgdmVyc2lvbiAzIG9yIGxhdGVyIDxodHRwOi8vZ251Lm9yZy9saWNlbnNlcy9n
cGwuaHRtbD4KVGhpcyBpcyBmcmVlIHNvZnR3YXJlOiB5b3UgYXJlIGZyZWUgdG8gY2hhbmdl
IGFuZCByZWRpc3RyaWJ1dGUgaXQuClRoZXJlIGlzIE5PIFdBUlJBTlRZLCB0byB0aGUgZXh0
ZW50IHBlcm1pdHRlZCBieSBsYXcuCg==
--------------F142EB5B9F5679307A97EBFC
Content-Type: text/plain; charset=UTF-8;
 name="metal"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="metal"

IyBydW5zIHFlbXUgYXMgbWNkIGJ1dCB3aXRoIHJlYWQgYW5kIHdyaXRlIGFjY2VzcyB0byBz
ZGEKCm1vdW50IHxlZ3JlcCAtcSAnc2QoYXxiKTMnICAmJiBlY2hvIGd1aXgtcm9vdCBpcyBt
YXliZSBtb3VudGVkLiBBYm9ydGluZy4gJiYgZXhpdAoKc2V0IC12CnN1ZG8gc2ggLWMgJ2V4
ZWMgc3VkbyAtdSBtY2QgLUMgNiBzaCAtYyAiCiAgZXhlYyBxZW11LXN5c3RlbS14ODZfNjQg
LW0gMTgwMCAtc21wIDIgLWVuYWJsZS1rdm0gXAoJCS1uZXQgbmljLG1vZGVsPXZpcnRpbyBc
CgkJLW5ldCB1c2VyLGhvc3Rmd2Q9dGNwOjo1NTYwLToyMjIyLGhvc3Rmd2Q9dGNwOjo1NTU5
LToyMiBcCgkJLWFkZC1mZCBmZD01LHNldD0yLG9wYXF1ZT1yZHdyOiQocmVhZGxpbmsgLWYg
L2Rldi9kaXNrL2J5LWlkL2F0YS1IaXRhY2hpX0hEVDcyMTAxMFNMQTM2MF9TVEY2TDdNUzIw
QUxFSykgXAoJCS1kcml2ZSBmaWxlPS9kZXYvZmRzZXQvMixpbmRleD0wLG1lZGlhPWRpc2si
IFwKCQk1PD4vZGV2L2Rpc2svYnktaWQvYXRhLUhpdGFjaGlfSERUNzIxMDEwU0xBMzYwX1NU
RjZMN01TMjBBTEVLICcK
--------------F142EB5B9F5679307A97EBFC--

--pfUhZONohLAO7wUUIHoX7LgcBWmS68m7u--

--oR2tF0vketZ4YqDVXM23y4qGxG7HwWHhg
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEE61CTslYA+K5btSvb61vedmKoYVkFAltWC5kACgkQ61vedmKo
YVnrSQf/Vk03LAqI6SqrXyB1dJpI506nzW3hNwtBTGnurKdGsuwZj85m7B5s7xyq
/ey5Tc+K6VLeWQhSrtg02vQaTFZ1HYEZSlPeYAVHHf8J/oHlji1GdySMmgKKvUAl
pID25DMc6jZMch3T1L3iMx8Bf7Z9fw6hI7JMdmTQlT4O9m5+I4ay675BMWWlNPiz
/+0mGlH4YJlLy2diaHb6y8eIqlg+Nyq+6TN/BDhlV2eB4lVUZcOEva3fpVynqT68
NQqG1QZykCnJvh7TTo3k8BbpAmP2SCJ8CcjGPhs/UnLAqRqRt93dDgPvT5e93urr
iWGIFM4LWumM6t++e68qfy+OAu39uQ==
=aqjG
-----END PGP SIGNATURE-----

--oR2tF0vketZ4YqDVXM23y4qGxG7HwWHhg--




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 19 Jul 2018 16:57:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 19 12:57:35 2018
Received: from localhost ([127.0.0.1]:48472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fgCFC-0003Wv-Vw
	for submit <at> debbugs.gnu.org; Thu, 19 Jul 2018 12:57:35 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:46383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>)
 id 1fgCFB-0003Wk-HI; Thu, 19 Jul 2018 12:57:33 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 25AEC21B76;
 Thu, 19 Jul 2018 12:57:33 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Thu, 19 Jul 2018 12:57:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=nrFHZF52/UyC4U2TvjE3LHYTaKqxqowDyN0UPQaZ3sA=; b=qBJLc
 8RWCIMaxCNdCnUF06Pt/+mixj+UhtMqRt+LcYqg3GvIbyrUzuWXNccD3jPft5Dsx
 y+aXbr6OKhOo8JU/opavPESC4zlbvwC5YkPo6s+64CqBoCXpOOv/kNBIc7AE5Krc
 R4jK0cGedAOv3Ts5UjZKY+SQvLdbNFePmtQEyc=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=nrFHZF52/UyC4U2TvjE3LHYTaKqxq
 owDyN0UPQaZ3sA=; b=UTmZiNjd9OONys2A4mC1n/2WfPkLPXcxzuad29AUldwHc
 VIznAxQAwUdMKxQDt+Nm4mXEiKX3Lpipzu9L8+LRKi6kqG1E/JKNzS/SfMxbupMW
 GWdGCbu8fncl+5ji16UtTPkgpwXcg+QrqWEc7tiOd5eapbgdBltcRAK22OpwnwC3
 9yKLF2vZVpTLY/IneNEUzXsk1foePfYJ+qIxEyjPMHF+sNuN6CweZYVmzVZc4E17
 xspr8XkQPNRP+sLliyzVqbf/CqTu7AcejbOjvwoyhjoOZGlji7Kg8j3WkUP1yd6k
 GRfeoFx76QN4LkAR5vpgRFAvCVDpeU9RwIilz0NbA==
X-ME-Proxy: <xmx:_MJQWxPOPiZxtgbRW38s5B5D8ZK8N0thXmmtMODB1zZf-qVxvYIxNQ>
 <xmx:_MJQWwi3MqFsCkFpheI2LXhSkd9mvFPiS_qRgX6s6OHeZojg9ugQTg>
 <xmx:_MJQW0tXD1JitM1DJUybKcYhg01LMOPpn_DJeCeNT6VcAlS3wRDvJQ>
 <xmx:_MJQW0iOjmz84LrnhiNsQzYK76EQ4OAfdPZsxyvlyW9NQ_C7CmSRsQ>
 <xmx:_MJQW6YcBUMq3ZoNoQ0ATGZnHe7EDBBHggviAMjiBCakXQcDffc-jA>
 <xmx:_cJQW_Yuau3Mp6h7HJs_F8lo9OoA7s2MG6Y4HeGhYUhkFTO1rDUrEA>
X-ME-Sender: <xms:-8JQW-qGZhyEUXP_GZm8NRK-mvQV4cuE3iVJQKpE536bcs2XeWqB6A>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id B677710268;
 Thu, 19 Jul 2018 12:57:31 -0400 (EDT)
Date: Thu, 19 Jul 2018 12:57:30 -0400
From: Leo Famulari <leo@HIDDEN>
To: =?iso-8859-1?Q?Cl=E9ment?= Lassieur <clement@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
Message-ID: <20180719165730.GA8867@HIDDEN>
References: <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN>
 <87r2mvnm29.fsf@HIDDEN>
 <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
 <20180503163808.GA1019@HIDDEN>
 <FB84BAEB-5F14-45C2-9BD6-8FF8CFA5BAD5@HIDDEN>
 <20180506195050.GD8038@HIDDEN>
 <fb962e2b-2b18-7adc-ff6d-5fbb0a56c8b4@HIDDEN>
 <87sh4f5ptn.fsf@HIDDEN> <87muun5mj0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="bp/iNruPH9dso1Pn"
Content-Disposition: inline
In-Reply-To: <87muun5mj0.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30993
Cc: Martin Castillo <castilma@HIDDEN>,
 Julien Lepiller <julien@HIDDEN>, 32197 <at> debbugs.gnu.org,
 30993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--bp/iNruPH9dso1Pn
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Jul 19, 2018 at 04:26:59PM +0200, Cl=E9ment Lassieur wrote:
> Cl=E9ment Lassieur <clement@HIDDEN> writes:
>=20
> > Leo, if you confirm my analysis, could you please unmerge the bugs?
>=20
> I did it, because Eric confirmed the fix.

Thanks, sorry for the confusion!

--bp/iNruPH9dso1Pn
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAltQwvcACgkQJkb6MLrK
fwhBexAAgwyIwR6u2bFrxqggaqEu4E+PV5yNkEnLYynx9Nh0rROvQNeDoqZQ+Oix
YKwOoPYPkY9eTHYbdvqEL1r8gGjUrSn/tBAlmGiuXTf9xVxkEmsBs1qYnKbAnTJ9
aWbCn3DtYxYkOi0hjCALb8FmPFiOcM0/7uFxfLNzwcTWq+R27AiTKAsUe3nf6zXW
+32yEm/7F3gcC73HaA3+EkqzmUYTAETqxqnkNz3ODMYMk7iBUmBpZ3LyHc6nWda0
L1SZF/uV8herR7xxo1q/sHyxwsAN51CBOprIyiKinafyZDohzqcKkjffnk9rm0TZ
h1IlwAWlseqZUJzIS3fCNRsmvQf1AklgZ6UafyWXxyjL6TIu0QDyV62MGwyIY69k
l9YSPb+n+7X/I28hDsLLzGIFoVoJzv6vLaeRECyCTG6gQ54V61yO6v1F4O2VEkBC
F2A4NN1bXQYhZnj7rPwjxmEkHNNrZRLbAoDBHE9hV9yvBA1RniTkXONupI9IV2O/
bkZitsF8N7A6jfoiqyEfCnMwegz743OAFuPc/bx1DvBFyJfwbjZ6VZexEcrbLf5T
AJ/aXUmiAyve0fM6zn1ykVNwlhvK6iTBv8QkjlNb9omtJ0X+6JINUBau/7WBm/7P
QVafNZpGuUyTObf1CLqiidQwu9/2VhuHaZhTLXYQRIVRX+JpnRw=
=OssZ
-----END PGP SIGNATURE-----

--bp/iNruPH9dso1Pn--




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 19 Jul 2018 14:27:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 19 10:27:06 2018
Received: from localhost ([127.0.0.1]:48402 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fg9tZ-0006Jd-Vd
	for submit <at> debbugs.gnu.org; Thu, 19 Jul 2018 10:27:06 -0400
Received: from mail.lassieur.org ([83.152.10.219]:49420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>)
 id 1fg9tY-0006JS-TN; Thu, 19 Jul 2018 10:27:05 -0400
Received: from newt (smtp.parrot.biz [62.23.167.188])
 by mail.lassieur.org (OpenSMTPD) with ESMTPSA id baf62e4b
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO); 
 Thu, 19 Jul 2018 14:27:00 +0000 (UTC)
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN> <87r2mvnm29.fsf@HIDDEN>
 <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
 <20180503163808.GA1019@HIDDEN>
 <FB84BAEB-5F14-45C2-9BD6-8FF8CFA5BAD5@HIDDEN>
 <20180506195050.GD8038@HIDDEN>
 <fb962e2b-2b18-7adc-ff6d-5fbb0a56c8b4@HIDDEN>
 <87sh4f5ptn.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
To: Martin Castillo <castilma@HIDDEN>, Leo Famulari <leo@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
In-reply-to: <87sh4f5ptn.fsf@HIDDEN>
Date: Thu, 19 Jul 2018 16:26:59 +0200
Message-ID: <87muun5mj0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org, Julien Lepiller <julien@HIDDEN>,
 32197 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Cl=C3=A9ment Lassieur <clement@HIDDEN> writes:

> Leo, if you confirm my analysis, could you please unmerge the bugs?

I did it, because Eric confirmed the fix.
Cl=C3=A9ment




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.
Disconnected #30993 from all other report(s). Request was from clement@HIDDEN (Clément Lassieur) to control <at> debbugs.gnu.org. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 19 Jul 2018 13:15:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 19 09:15:52 2018
Received: from localhost ([127.0.0.1]:47644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fg8me-0004MM-Em
	for submit <at> debbugs.gnu.org; Thu, 19 Jul 2018 09:15:52 -0400
Received: from mail.lassieur.org ([83.152.10.219]:49332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>)
 id 1fg8mc-0004M8-6o; Thu, 19 Jul 2018 09:15:50 -0400
Received: from newt (smtp.parrot.biz [62.23.167.188])
 by mail.lassieur.org (OpenSMTPD) with ESMTPSA id 6a1f5840
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO); 
 Thu, 19 Jul 2018 13:15:49 +0000 (UTC)
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN> <87r2mvnm29.fsf@HIDDEN>
 <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
 <20180503163808.GA1019@HIDDEN>
 <FB84BAEB-5F14-45C2-9BD6-8FF8CFA5BAD5@HIDDEN>
 <20180506195050.GD8038@HIDDEN>
 <fb962e2b-2b18-7adc-ff6d-5fbb0a56c8b4@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
To: Martin Castillo <castilma@HIDDEN>, Leo Famulari <leo@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
In-reply-to: <fb962e2b-2b18-7adc-ff6d-5fbb0a56c8b4@HIDDEN>
Date: Thu, 19 Jul 2018 15:15:48 +0200
Message-ID: <87sh4f5ptn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org, Julien Lepiller <julien@HIDDEN>,
 32197 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Heya,

Martin Castillo <castilma@HIDDEN> writes:

> On 06.05.2018 21:50, Leo Famulari wrote:
>> On Fri, May 04, 2018 at 04:01:52AM +0200, Martin Castillo wrote:
>>> Sorry,  I forgot to mention that I have the same problem. But I had it =
already with shepherd 0.3.
>>=20
>> Interesting. Did it ever work for you on that system?
>>=20
>> that system?
> Do you mean shepherd 0.3? Yes. And once(or so) with shepherd 0.4.
>
> I reported that here [0]. Some of the mentioned files needed small
> changes for the current guix, but ssh works with all of them, strangely.
>
> I attached my current configuration, where I need to start the daemon
> manually (herd start ssh-daemon) after each boot.

I don't think you're having the same bug.  Martin can manually start the
daemon, whereas Leo can't.  So Martin seems to have
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D32197, for which a commit
has been pushed by Julien.

Martin, could you please test it?  (You just need to 'guix pull' and try
again.)  Leo, if you confirm my analysis, could you please unmerge the
bugs?

Thanks,
Cl=C3=A9ment




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.
Merged 30993 32197. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) unreproducible. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 7 May 2018 19:34:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 07 15:34:18 2018
Received: from localhost ([127.0.0.1]:53205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fFltp-0001r8-LP
	for submit <at> debbugs.gnu.org; Mon, 07 May 2018 15:34:18 -0400
Received: from gabriel-vm-2.zfn.uni-bremen.de ([134.102.50.10]:59252
 helo=smtp.uni-bremen.de) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <castilma@HIDDEN>) id 1fFltn-0001qv-Bz
 for 30993 <at> debbugs.gnu.org; Mon, 07 May 2018 15:34:16 -0400
Received: from [192.168.42.226] (ip4d171518.dynamic.kabel-deutschland.de
 [77.23.21.24])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by smtp.uni-bremen.de (Postfix) with ESMTPSA id 1B80F2A0BD;
 Mon,  7 May 2018 21:10:38 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=uni-bremen.de; s=dkim;
 t=1525720239; bh=30xCLMv41eygzMuG5mgVjR3u2KHq2azEkOqKQ6SBcrQ=;
 h=From:To:Cc:References:Date:In-Reply-To;
 b=SQuJ6M2A33ZIFtOKFVCy7EY6/xzY5HQQ9of9LB8BeAkeNUYd4hZ5MKQOJnC4ykxkb
 K0K1m7cZEWhkqTlSK0CwAZxx96rtZNuvf4K1X4euoglMjG1nQ3BicERfAhJoF/aJdO
 DQeMu74QAkmgqPg8sFv7yoB6bvkx/PSIO+ahCEWw=
From: Martin Castillo <castilma@HIDDEN>
Subject: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
To: Leo Famulari <leo@HIDDEN>
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN> <87r2mvnm29.fsf@HIDDEN>
 <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
 <20180503163808.GA1019@HIDDEN>
 <FB84BAEB-5F14-45C2-9BD6-8FF8CFA5BAD5@HIDDEN>
 <20180506195050.GD8038@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=castilma@HIDDEN; prefer-encrypt=mutual; keydata=
 xsBNBFXp3VwBCACz5FpcoKuJTL5fndn8CSApG22k/Tmpy2hur38IQKAeIFlk82Z4tvrConIM
 31JeFulbBXIxHyiW6Y3358YUPe1FLnG6x3bzO0Dlhb72cgb1KZtrrfNE4tahjPTzBaTqwuvg
 O2OOAwDhHDv1OyBz/7wS4yUiEoNmjHYMieu7kzGnC4w3sjNESDYKoKqoNN1bx4XZMNPnUG1D
 +p5IOfhRD3fIMEJcnkIjQmR0mKLdlCZmpH7rYDbqg/aF7n0RsDoJ8dAVxLTKMG0HB7w5hI37
 9nJfcIziTfmyd8QM2TN7nEDokRqUMs5jXohzScyo4AL8/dKxPMgJih+muGbTMvbvLmdbABEB
 AAHNLE1hcnRpbiBDYXN0aWxsbyA8TWFydGluLkNhc3RpbGxvQGZyZWVuZXQuZGU+wsCBBBMB
 AgArAhsDBgsJCAcDAgYVCAIJCgsEFgIDAQIeAQIXgAUJENTBQQUCWZY2KwIZAQAKCRDME0jx
 5kQI7HbJB/9W6FpUV8SjrRLntlboZAhxoK/myrQCDWCk3yHJtHJGTabaEx44Ti7AaRm54O5W
 LORmlmL3ck+ReNzrR8u/xIVZ/gCRdt+GnEtDwm5FLZjRXbbaTFovlOQWLu0IW1iUllizGV7F
 aHjPdBoWjkLLLMA9aHDtfkzAxO4qlQZvjXSKvJHGp05AlPuPmtfqNSIXH0bh9rxOmKDMCj8J
 rHtnDzyVjzjBaakNYoQS+DNvjzLkzvcBZZ6Q99d/O0w5esRCaqAKFzSilxFT85Q8gpWIqLkP
 h9ylQ0HxjB03bQqQzV9BpVQ+Qv4Ovf+K9yptTUANxD3xY70RHzeQNvrS3FV3mKjPzsBNBFXp
 3VwBCADTmylgxDM50a78oW4RJYuDRPq1nDj0R5Kw7SvmH3Du00jy+Mo2I6+4fKGogLEKH+HS
 gn9iSZFX09scxQEcQuZk0j+fAcbdY4gEBZpTE87Mc2y3C/q2gnMLkwKUb5Cx0WNx5HnWLIse
 G6sa4cHzj3CtsS6H/YDJver69eEIfNac0HC98HKhKV4WrcY1JG0lfNnLJ8frf7pEQv+/KIOt
 C/QE742DO5p1fAvaKtuNxAzJP1I5iWc8zp9fe5cA7zc0wXgpNBDxGfs3ww2+VJkSTVbCKoen
 J8WEhqBnvPq8i2ogF3C7c45DulIb3CBYNtttIoLQ5D/1e7JSYUF9iIPxUdTjABEBAAHCwGUE
 GAECAA8CGwwFAlmWN64FCRDUwtIACgkQzBNI8eZECOwkiwf8DpOJmziCx2QauLK7olxOq1U2
 S81nD9UZfaycw7hQ6L+oCYPZuG/0v1losqfSBgAZSlY3f2SmTbg/uOJEepV6000SEcm+6shu
 LZ3qLNM+pQr2dX09Ch0lX9nrwIua3Lkbo6XEgN/h6wc0psr7GmmutAGzVG3dnBiRnXYqw4bR
 ab05xMBWY82GTUnGtKmVXAUJxkhUftWDR1uXUxeJnQToBw72XQ5nxGU3K6xOYhtY9+tMo0um
 kcN4sJf/I/Y/A8Gbc6+Ry7f16RtCTZ4+PnF/GaQ1ec9kpF6IV6nAFhOdrVnvEANmqcvGMx5c
 sutNKoih/YzfyhoLbkvUkgoAQIuZ6g==
Message-ID: <fb962e2b-2b18-7adc-ff6d-5fbb0a56c8b4@HIDDEN>
Date: Mon, 7 May 2018 21:10:37 +0200
MIME-Version: 1.0
In-Reply-To: <20180506195050.GD8038@HIDDEN>
Content-Type: multipart/mixed; boundary="------------881366704B0F6BEEC7073595"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org, =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------881366704B0F6BEEC7073595
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 8bit



On 06.05.2018 21:50, Leo Famulari wrote:
> On Fri, May 04, 2018 at 04:01:52AM +0200, Martin Castillo wrote:
>> Sorry,  I forgot to mention that I have the same problem. But I had it already with shepherd 0.3.
> 
> Interesting. Did it ever work for you on that system?
> 
> that system?
Do you mean shepherd 0.3? Yes. And once(or so) with shepherd 0.4.

I reported that here [0]. Some of the mentioned files needed small
changes for the current guix, but ssh works with all of them, strangely.

I attached my current configuration, where I need to start the daemon
manually (herd start ssh-daemon) after each boot.

Martin



[0]: https://lists.gnu.org/archive/html/help-guix/2018-01/msg00112.html

--------------881366704B0F6BEEC7073595
Content-Type: text/x-scheme;
 name="cur.scm"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="cur.scm"

;; This is an operating system configuration template
;; for a "desktop" setup without full-blown desktop
;; environments.
;; This is an operating system configuration template
;; for a "bare bones" setup, with no X11 display server.

;(use-modules (gnu))
(use-modules (gnu) (gnu system nss) (guix gexp))
(use-service-modules ssh)
(use-service-modules base desktop xorg)
(use-package-modules certs linux suckless wm)
;(use-package-modules admin)

(define cyborg-quirk
"Section \"InputClass\"
	Identifier \"Saitek Cyborg R.A.T.5 Mouse\"
	MatchIsPointer \"on\"
	MatchProduct \"Saitek Cyborg R.A.T.5 Mouse\"
	MatchVendor \"Saitek|SAITEK\"
	MatchDevicePath \"/dev/input/event*\"
	Option \"ButtonMapping\" \"1 2 3 4 5 6 7 2 9 4 5 12 0 0 0\"
	Option \"ZAxisMapping\" \"10 11\"
#	Option \"AutoReleaseButtons\" \"12 13 14 15\"
EndSection
")

(define xneo
"Section \"InputClass\"
	Identifier \"keyboard-all\"
	Option \"XkbLayout\" \"neo\"
	MatchIsKeyboard \"on\"
EndSection
")

(define %my-xorg-conf
	(xorg-configuration-file #:extra-config (list cyborg-quirk xneo)))

(define %my-startx
	(xorg-start-command #:configuration-file %my-xorg-conf))

(define %my-services
       ;; My very own list of services.
       (modify-services %desktop-services
         (guix-service-type config =3D>
                            (guix-configuration
                             (inherit config)
			     (extra-options '("-M4"))
                             (substitute-urls (cons* "https://berlin.guix=
sd.org"
                                                     "https://hydra.gnu.o=
rg"
                                                     (guix-configuration-=
substitute-urls config)))))
         (openssh-service-type config =3D>
                            (openssh-configuration
                             (inherit config)
			     (x11-forwarding? (openssh-configuration-x11-forwarding? config)))=
)
	 (slim-service-type config =3D>
			    (slim-configuration
			      (inherit config)
			      (startx %my-startx)
			      (default-user "mcd")))))

(define (openssh-config-file config)
  "Return the sshd configuration file corresponding to CONFIG."
  (computed-file
   "sshd_config"
   #~(begin
       (use-modules (ice-9 match))
       (call-with-output-file #$output
         (lambda (port)
           (display "# Generated by 'openssh-service'.\n" port)
           (format port "Port ~a\n"
                   #$(number->string
                      (openssh-configuration-port-number config)))
           (format port "PermitRootLogin ~a\n"
                   #$(match (openssh-configuration-permit-root-login conf=
ig)
                       (#t "yes")
                       (#f "no")
                       ('without-password "without-password")))
           (format port "PermitEmptyPasswords ~a\n"
                   #$(if (openssh-configuration-allow-empty-passwords? co=
nfig)
                         "yes" "no"))
           (format port "PasswordAuthentication ~a\n"
                   #$(if (openssh-configuration-password-authentication? =
config)
                         "yes" "no"))
           (format port "PubkeyAuthentication ~a\n"
                   #$(if (openssh-configuration-public-key-authentication=
?
                          config)
                         "yes" "no"))
           (format port "X11Forwarding ~a\n"
                   #$(if (openssh-configuration-x11-forwarding? config)
                         "yes" "no"))
           (format port "PidFile ~a\n"
                   #$(openssh-configuration-pid-file config))
           (format port "ChallengeResponseAuthentication ~a\n"
                   #$(if (openssh-challenge-response-authentication? conf=
ig)
                         "yes" "no"))
           (format port "UsePAM ~a\n"
                   #$(if (openssh-configuration-use-pam? config)
                         "yes" "no"))
           (format port "PrintLastLog ~a\n"
                   #$(if (openssh-configuration-print-last-log? config)
                         "yes" "no"))

           ;; Add '/etc/authorized_keys.d/%u', which we populate.
           (format port "AuthorizedKeysFile \
 .ssh/authorized_keys .ssh/authorized_keys2 /etc/ssh/authorized_keys.d/%u=
\n")

           (for-each (lambda (s) (format port "AcceptEnv ~a\n" s))
                     '#$(openssh-configuration-accepted-environment confi=
g))

;           (for-each
;            (match-lambda
;              ((name command) (format port "Subsystem\t~a\t~a\n" name co=
mmand)))
;            '#$(openssh-configuration-subsystems config))
           #t)))))

(define (my-openssh-shepherd-service config)
  "Return a <shepherd-service> for openssh with CONFIG."

  (define openssh-command
    #~(list (string-append #$(openssh-configuration-openssh config) "/sbi=
n/sshd")
            "-D" "-f" #$(openssh-config-file config) "-d" "-E" "/var/log/=
sshd.debug"))

  (list (shepherd-service
         (documentation "OpenSSH server.")
         (requirement '(syslogd))
         (provision '(ssh-daemon))
         (start #~(make-forkexec-constructor #$openssh-command
                                             #:pid-file "/var/run/sshd.pi=
d"))
;                                             #:pid-file #$pid-file))
         (stop #~(make-kill-destructor))
         (auto-start? (openssh-auto-start? config)))))

(operating-system
  (host-name "komputilo")
  (timezone "Europe/Berlin")
  (locale "de_DE.UTF-8")
  (hosts-file (plain-file "hosts"
"127.0.0.1 localhost komputilo
::1       localhost komputilo

192.168.178.20 pi.fritz.box pi"))

  ;; Assuming /dev/sdX is the target hard disk, and "my-root" is
  ;; the label of the target root file system.
  (bootloader (bootloader-configuration (bootloader
                                          (bootloader (inherit grub-bootl=
oader)
                                                      (installer #~(const=
 #t))))))
;  (bootloader (bootloader-configuration (bootloader grub-bootloader)
;					(target "/dev/sda3")
				  ;(menu-entries '((menu-entry
				;		    (label "Grub Nixos")
				;		    (multiboot "(hd0)") ; still unsupported
				;                   )))
;					))
  (file-systems (cons (file-system
                        (device "guix-root")
                        (title 'label)
                        (mount-point "/")
                        (type "ext4"))
                      %base-file-systems))

  ;; This is where user accounts are specified.  The "root"
  ;; account is implicit, and is initially created with the
  ;; empty password.
  (users (cons (user-account
                (name "mcd")
                (comment "Martin Castillo")
                (group "users")

                ;; Adding the account to the "wheel" group
                ;; makes it a sudoer.  Adding it to "audio"
                ;; and "video" allows the user to play sound
                ;; and access the webcam.
                (supplementary-groups '("wheel" ; "plugdev" ? f=C3=BCr mt=
p? ist aber undefiniert
                                        "audio" "video" "netdev")) ;workm=
anager"))
                (home-directory "/home/mcd"))
               %base-user-accounts))

  ;; Globally-installed packages.
  ;(packages (cons tcpdump %base-packages))
  ;; Add a bunch of window managers; we can choose one at
  ;; the log-in screen with F1.
  (packages (cons* dmenu ;window managers
                   nss-certs                      ;for HTTPS access
                   kbd-neo
                   %base-packages))

  ;; Add services to the baseline: a DHCP client and
  ;; an SSH server.
  (services (cons* ;(dhcp-client-service)
;                   (gpm-service) ;mouse in vt
                   (console-keymap-service (file-append kbd-neo "/share/k=
eymaps/neo.map"));;
;                   (my-openssh-shepherd-service
;                            (openssh-configuration
;                              (accepted-environment '("COLORTERM"))
;                              (port-number 2222)))
                   (service openssh-service-type
                            (openssh-configuration
                              (accepted-environment '("COLORTERM"))
                              (port-number 2222)))

                   (simple-service 'store-my-config etc-service-type
                                   `(("config.scm" ,(local-file (assoc-re=
f
                                                                  (curren=
t-source-location)
                                                                  'filena=
me)))))
                   (xfce-desktop-service)
                   %my-services))

  ;; Use the "desktop" services, which include the X11
  ;; log-in service, networking with Wicd, and more.
  ;(services %desktop-services)

  ;; Allow resolution of '.local' host names with mDNS.
  (name-service-switch %mdns-host-lookup-nss))

--------------881366704B0F6BEEC7073595--




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 6 May 2018 19:50:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 06 15:50:52 2018
Received: from localhost ([127.0.0.1]:51686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fFPgK-0004hg-ID
	for submit <at> debbugs.gnu.org; Sun, 06 May 2018 15:50:52 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:47797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1fFPgJ-0004hZ-K0
 for 30993 <at> debbugs.gnu.org; Sun, 06 May 2018 15:50:51 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 3ABE8225DE;
 Sun,  6 May 2018 15:50:51 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 06 May 2018 15:50:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=nC42kGcV5XydOx1T9LBs4R3RBnZ3QK/JFFgH72Q3mM4=; b=Vkaho
 m1Ybqjr9CEf5rp+uEYFrJsdcthOEqZk8D/eexiHC5iSeH69FMIL49+189ZKJzZZ9
 w4CDnBTNcH31Q4PcRCuVlr5oiYoR4b96qpWRXgXumXnG+f8Yk0KW3qNBbt+4euZO
 K+eP4PXT/oRmRPgbEeKh4SCNJDrgx5KXSXkD5A=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=nC42kGcV5XydOx1T9LBs4R3RBnZ3Q
 K/JFFgH72Q3mM4=; b=nz5rDJuLxgtVN94U20RAGo2zJTu5g/sWCdM9Sri9Lko3t
 XQw7AkeM8e0Zof3yFZJGCxEYdBu4SETWXrv3b/guS9QlTiblxn1pXxu76Y5fvNCI
 rLO0DPTTRstRniC3BEiBOQE60IM5ccrFzRNaB51BPgAo31vXQW1dGCmWpYJr1kSF
 zEyW8rXduQBmRyP0eUfC6jJws4YlhB583EbDfJsqH+X7ESYcDWqMqq7PvVQQS3c6
 oK7XQzOOTGiePtc9nTwJ0ljgh/gYPF2QGjM7+uo8scKEZ+Eb5CeXLOX1BeTjmNwo
 nTe/i9MxMyXBw6Jkcfa3wuvpbrBDnyKWGEGpY9HqQ==
X-ME-Sender: <xms:m1zvWs51UdMp6Vnmz3D2WIrB4cd9GdDlpmRTU_HHfyumxWXHbBj2fg>
Received: from localhost (pool-71-105-112-198.nycmny.fios.verizon.net
 [71.105.112.198])
 by mail.messagingengine.com (Postfix) with ESMTPA id EF064E4921;
 Sun,  6 May 2018 15:50:50 -0400 (EDT)
Date: Sun, 6 May 2018 15:50:50 -0400
From: Leo Famulari <leo@HIDDEN>
To: Martin Castillo <castilma@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
Message-ID: <20180506195050.GD8038@HIDDEN>
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN>
 <87r2mvnm29.fsf@HIDDEN>
 <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
 <20180503163808.GA1019@HIDDEN>
 <FB84BAEB-5F14-45C2-9BD6-8FF8CFA5BAD5@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="11Y7aswkeuHtSBEs"
Content-Disposition: inline
In-Reply-To: <FB84BAEB-5F14-45C2-9BD6-8FF8CFA5BAD5@HIDDEN>
User-Agent: Mutt/1.9.5 (2018-04-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org, Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--11Y7aswkeuHtSBEs
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Fri, May 04, 2018 at 04:01:52AM +0200, Martin Castillo wrote:
> Sorry,  I forgot to mention that I have the same problem. But I had it already with shepherd 0.3.

Interesting. Did it ever work for you on that system?

--11Y7aswkeuHtSBEs
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlrvXJoACgkQJkb6MLrK
fwgTHg//SEB3jG8sKLmpiY4D+vUhlZpQFOg5fZI7QDq749/N2WgM/yg1ZIz9AptQ
gxixuZPTAyBGzOQTkB+BwGHwvhDBcMRuyqJ2bUDWstGcmvq2cBnvBOGLppG2wXsf
lcHnDo+5aCaZ5iFFkyuhOIfBb9dM7oMP6irpgGd1MCS5Yur/Tv8Wkd/l7CRV3SIX
cQrVKrsLtTI4BIiMoazDSiEzQ50k0L6d7KWsO7Reu8/4Qd/4bbeJeKcRkuL+MVRJ
6ccYLx81CurgDQcUGWV9Un9dIIkYTq2tuyO5PwoFIMpds6yQRLn2cx61FBggZdq/
ujL/Xs4cjN/H8+0eA6ZfjfLccVKUoeQqPyQkqow6ahvywyYlebBLiE6byNrsL9rh
0S1FErw2C4XheLJ+zvGowRGTrsNYBBsmAzu/ZXMOMYSbV6IRi4pRHfneQzjNs+tH
7UWihSW3yWoY1sf+4jIiFqzXvcGcxrwY5C5iAgb7FCMmUuvjn1D2Soomb2PBMmUa
+ksTAM0bmY+6QXGwNw+ql1F8hnR8Zl3ISntsRADBLAf87aqcY7//KAvHiqJZ4gYc
MaedC0px3tW8giQRbWxMnO66TUQq6S3SkdYRa2g+WNyqBXZDVH4DZe+i/LN2GodA
lzhYRQsTVKRyhph/kqt9mHZTE77sFyUw+A9OGppvpF9/UVd3sXs=
=SHOl
-----END PGP SIGNATURE-----

--11Y7aswkeuHtSBEs--




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 4 May 2018 02:02:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 03 22:02:01 2018
Received: from localhost ([127.0.0.1]:48763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEQ2r-0005Al-GU
	for submit <at> debbugs.gnu.org; Thu, 03 May 2018 22:02:01 -0400
Received: from gabriel-vm-2.zfn.uni-bremen.de ([134.102.50.10]:40258
 helo=smtp.uni-bremen.de) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <castilma@HIDDEN>) id 1fEQ2p-0005AZ-G5
 for 30993 <at> debbugs.gnu.org; Thu, 03 May 2018 22:02:00 -0400
Received: from android-57baabe47f20269a.fritz.box
 (ip4d171518.dynamic.kabel-deutschland.de [77.23.21.24])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by smtp.uni-bremen.de (Postfix) with ESMTPSA id 69FD5202D0;
 Fri,  4 May 2018 04:01:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=uni-bremen.de; s=dkim;
 t=1525399313; bh=FqxszuuolSkgtdPTESrKDx26FswiT01Acs4tUVyQvFc=;
 h=Date:In-Reply-To:References:To:CC:From;
 b=vX86ZoxSm4ZMmYPEy5tdH4Rqe8MJtD3eyc9Frmxtn5Ygz30l4n8o+0vX1FlYRmyQD
 v4frWMEdVszLlX4YTtiaWWoOwQRr2iAsOW3vkms4tMGBRN8EqhzcO1eBVtwRkZiB5x
 573mnfjfCh9BnqFT4gHiqMvI8iwkNpoR7BS+qBHk=
Date: Fri, 04 May 2018 04:01:52 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <20180503163808.GA1019@HIDDEN>
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN> <87r2mvnm29.fsf@HIDDEN>
 <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
 <20180503163808.GA1019@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
To: Leo Famulari <leo@HIDDEN>
From: Martin Castillo <castilma@HIDDEN>
Message-ID: <FB84BAEB-5F14-45C2-9BD6-8FF8CFA5BAD5@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org, =?ISO-8859-1?Q?Ludovic_Court=E8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Sorry,  I forgot to mention that I have the same problem=2E But I had it al=
ready with shepherd 0=2E3=2E




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 3 May 2018 16:38:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 03 12:38:12 2018
Received: from localhost ([127.0.0.1]:48432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEHFE-0006nR-JJ
	for submit <at> debbugs.gnu.org; Thu, 03 May 2018 12:38:12 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:43365)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1fEHFD-0006nK-81
 for 30993 <at> debbugs.gnu.org; Thu, 03 May 2018 12:38:11 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id D3B7420FC8;
 Thu,  3 May 2018 12:38:10 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Thu, 03 May 2018 12:38:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=je9mxik6AhWIuR7z4iXge0jZL1flEkMqsvk5ubW1hlw=; b=IpYw7
 TrATg8mg0JAlYjwnk/pFXk+lo/Trag9ZimQFPtbsRoTktwsn+AF4O2VbuSVrrE2Y
 sth4VUPwQrQNpoOXhOKLGK8p8E5f75o2t1atAK2zL9N3atUc/5OnQJ00O1vin7QN
 2YJufrgYyzxCQpo9nXwc58xBBQjAAyCne3Y+go=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=je9mxik6AhWIuR7z4iXge0jZL1flE
 kMqsvk5ubW1hlw=; b=GYbPPBgApWAOGK/z7+alfq9titNgZyXv3MraSNN8CsUet
 ElskwLCOmDHQStyK/AVawHE7abiP/a1lOigOWbqONwWzKU3zpnvlCoqVqbUHybcy
 uDlaa7KbXQHUSPAm1UKEOBeqU+KbAHQ9V+fQVAheMBykJJdbYM37qE247hTJwW5P
 G1d/qbV8NJ735kPm5t+MHlPf2hktj1nV9ArfoigmiAmbHnhCGEi2MXXV4JNATBiC
 KQO1WB7iQPvAjH2HYhfn1v89rJqMj1pTaYX0ZiiXNoK5BKJznUZdkBiICA0DsvwI
 cW1MdhmROqvESiMlJ4sa0S2TuJ43xZB/aXvo4MWCQ==
X-ME-Sender: <xms:8jrrWs9JTW787XNekUwA3YXNcqbKuqZfX1JKJ9-qnlmqe-gi7ABwGQ>
Received: from localhost (static-96-245-220-114.phlapa.fios.verizon.net
 [96.245.220.114])
 by mail.messagingengine.com (Postfix) with ESMTPA id 58EB01025C;
 Thu,  3 May 2018 12:38:10 -0400 (EDT)
Date: Thu, 3 May 2018 12:38:08 -0400
From: Leo Famulari <leo@HIDDEN>
To: Martin Castillo <castilma@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
Message-ID: <20180503163808.GA1019@HIDDEN>
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN>
 <87r2mvnm29.fsf@HIDDEN>
 <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="FL5UXtIhxfXey3p5"
Content-Disposition: inline
In-Reply-To: <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
User-Agent: Mutt/1.9.5 (2018-04-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org, Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--FL5UXtIhxfXey3p5
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, May 03, 2018 at 05:16:32PM +0200, Martin Castillo wrote:
>=20
>=20
> On 01.05.2018 22:43, Ludovic Court=C3=A8s wrote:
> >> Maybe one could somehow strace herd, or change the make-kill-destructor
> >> to log every time it is being executed?
> >=20
> > =E2=80=98herd status sshd=E2=80=99 displays the last time sshd was resp=
awned, but the
> > info =E2=80=98herd=E2=80=99 receives actually includes the dates of all=
 the respawns,
> > not just the last one.  Is that what you=E2=80=99re asking for?
> >=20
>=20
> My idea was that maybe make-kill-destructor is being called from
> somewhere else. If this is being
> logged, one could rule that out.
>=20
> Another wild idea would be sshd killing itself for some reason. stracing
> sshd would tell us, if that's the case. How would one do that? Does
> shepherd provide some debugging functions?
>=20
> Or does linux provide a way to log all sent signals so one could find
> the sending process?

I haven't had time to debug this yet, and Shepherd 0.3 still works.

Since nobody else can reproduce the bug, and since I expect OpenSSH to
be commonly used, I suspect some non-deterministic Guile mis-compilation
or filesystem corruption =E2=80=94 the system in question is using ext4.

--FL5UXtIhxfXey3p5
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlrrOu0ACgkQJkb6MLrK
fwjwEw/9GWU0ObLtXCmd3jJ/JXagYqRmUnVaKvTlfohnlucPrliNzQ6z5Dx6E3He
ETjXbEQZ6U9ZGebIrSHunCNHialLW4gQ6cijnoAASIkGNb0gtA4rOr0pQHuxk9Do
c3x3IdW3kO8mzL1JQVo+ZBidYw50bccq0HcNMGIkLRDClZxkrK19AnMS5O9Jx3MI
4N0Vz5a0FZE3MwEDxycR6LA0X5DVVAv9QbiHPpzopFiTwfQLUDfnD8zbQhvIWmJX
nap6HPk5sg3Nyo5pOb9rbZUmEvwUwA5YFFqfmRS5g2ZZ6RdrE3zlC9zEEEO05UDv
wlAyRfalmpGw69XWarULwUn7DMnZ4/cO8TpAiEajOb/+rsP71oJ+8Qa1QQTyNCOG
G5FTUb2xodiw/kfY2x2HSf0Ct/IMbq4Qhnx6GfawxB7C1c8OFh3hiWN7j2hWR+Po
rnMZ7btY7E+dRh7iTo/+A5a+/vaRSPYoCS9aPUZzsxSTscrD6yzCaDA/mu9yIL/X
Dv2vC+V439PaqI8YSH3la6aWvlTWr4VqG5ADYtNtswUv9jJgPRYiagau6ZBYrlw2
sz2TT/GJUozWyIl1RcJTTqa8nNBeYgsx+DK9dG3K7qtODDgD/W+iOptkPug+8t0f
+RlvKTWqB2urmxpXes/Kb6fYaybL75JGhqEpdSD9BzSRrj1N0tE=
=/ead
-----END PGP SIGNATURE-----

--FL5UXtIhxfXey3p5--




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 3 May 2018 15:16:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 03 11:16:40 2018
Received: from localhost ([127.0.0.1]:48374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEFyK-0002wa-9L
	for submit <at> debbugs.gnu.org; Thu, 03 May 2018 11:16:40 -0400
Received: from gabriel-vm-2.zfn.uni-bremen.de ([134.102.50.10]:43902
 helo=smtp.uni-bremen.de) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <castilma@HIDDEN>) id 1fEFyI-0002wI-T8
 for 30993 <at> debbugs.gnu.org; Thu, 03 May 2018 11:16:39 -0400
Received: from [192.168.178.5] (ip4d171518.dynamic.kabel-deutschland.de
 [77.23.21.24])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by smtp.uni-bremen.de (Postfix) with ESMTPSA id 9052320501;
 Thu,  3 May 2018 17:16:32 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=uni-bremen.de; s=dkim;
 t=1525360592; bh=vnmwLPKGKub4zjIRf3LK8gLlTGh4n4WktPXJbM8MQSQ=;
 h=To:Cc:References:From:Date:In-Reply-To;
 b=Nx7KZDxKpicEMIyz+3oM4eMSXd35VMJkBx6YcwGjqfnqvxD3hD4s1c0nHWlfnPMzo
 FENNRKB3z4EQQXzrwRkHU6Vq61t4q5QeJtjztaT2rofQ+jCFErePTJTRoRFB3daofM
 8lVhDVud+mQoGLYBHMOJbKiwLSgkImg7mQ9BWVgU=
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN> <87r2mvnm29.fsf@HIDDEN>
From: Martin Castillo <castilma@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=castilma@HIDDEN; prefer-encrypt=mutual; keydata=
 xsBNBFXp3VwBCACz5FpcoKuJTL5fndn8CSApG22k/Tmpy2hur38IQKAeIFlk82Z4tvrConIM
 31JeFulbBXIxHyiW6Y3358YUPe1FLnG6x3bzO0Dlhb72cgb1KZtrrfNE4tahjPTzBaTqwuvg
 O2OOAwDhHDv1OyBz/7wS4yUiEoNmjHYMieu7kzGnC4w3sjNESDYKoKqoNN1bx4XZMNPnUG1D
 +p5IOfhRD3fIMEJcnkIjQmR0mKLdlCZmpH7rYDbqg/aF7n0RsDoJ8dAVxLTKMG0HB7w5hI37
 9nJfcIziTfmyd8QM2TN7nEDokRqUMs5jXohzScyo4AL8/dKxPMgJih+muGbTMvbvLmdbABEB
 AAHNLE1hcnRpbiBDYXN0aWxsbyA8TWFydGluLkNhc3RpbGxvQGZyZWVuZXQuZGU+wsCBBBMB
 AgArAhsDBgsJCAcDAgYVCAIJCgsEFgIDAQIeAQIXgAUJENTBQQUCWZY2KwIZAQAKCRDME0jx
 5kQI7HbJB/9W6FpUV8SjrRLntlboZAhxoK/myrQCDWCk3yHJtHJGTabaEx44Ti7AaRm54O5W
 LORmlmL3ck+ReNzrR8u/xIVZ/gCRdt+GnEtDwm5FLZjRXbbaTFovlOQWLu0IW1iUllizGV7F
 aHjPdBoWjkLLLMA9aHDtfkzAxO4qlQZvjXSKvJHGp05AlPuPmtfqNSIXH0bh9rxOmKDMCj8J
 rHtnDzyVjzjBaakNYoQS+DNvjzLkzvcBZZ6Q99d/O0w5esRCaqAKFzSilxFT85Q8gpWIqLkP
 h9ylQ0HxjB03bQqQzV9BpVQ+Qv4Ovf+K9yptTUANxD3xY70RHzeQNvrS3FV3mKjPzsBNBFXp
 3VwBCADTmylgxDM50a78oW4RJYuDRPq1nDj0R5Kw7SvmH3Du00jy+Mo2I6+4fKGogLEKH+HS
 gn9iSZFX09scxQEcQuZk0j+fAcbdY4gEBZpTE87Mc2y3C/q2gnMLkwKUb5Cx0WNx5HnWLIse
 G6sa4cHzj3CtsS6H/YDJver69eEIfNac0HC98HKhKV4WrcY1JG0lfNnLJ8frf7pEQv+/KIOt
 C/QE742DO5p1fAvaKtuNxAzJP1I5iWc8zp9fe5cA7zc0wXgpNBDxGfs3ww2+VJkSTVbCKoen
 J8WEhqBnvPq8i2ogF3C7c45DulIb3CBYNtttIoLQ5D/1e7JSYUF9iIPxUdTjABEBAAHCwGUE
 GAECAA8CGwwFAlmWN64FCRDUwtIACgkQzBNI8eZECOwkiwf8DpOJmziCx2QauLK7olxOq1U2
 S81nD9UZfaycw7hQ6L+oCYPZuG/0v1losqfSBgAZSlY3f2SmTbg/uOJEepV6000SEcm+6shu
 LZ3qLNM+pQr2dX09Ch0lX9nrwIua3Lkbo6XEgN/h6wc0psr7GmmutAGzVG3dnBiRnXYqw4bR
 ab05xMBWY82GTUnGtKmVXAUJxkhUftWDR1uXUxeJnQToBw72XQ5nxGU3K6xOYhtY9+tMo0um
 kcN4sJf/I/Y/A8Gbc6+Ry7f16RtCTZ4+PnF/GaQ1ec9kpF6IV6nAFhOdrVnvEANmqcvGMx5c
 sutNKoih/YzfyhoLbkvUkgoAQIuZ6g==
Message-ID: <b1b51eb6-77f1-0b53-4f18-3a83fe7ef24c@HIDDEN>
Date: Thu, 3 May 2018 17:16:32 +0200
MIME-Version: 1.0
In-Reply-To: <87r2mvnm29.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)



On 01.05.2018 22:43, Ludovic Courtès wrote:
>> Maybe one could somehow strace herd, or change the make-kill-destructor
>> to log every time it is being executed?
> 
> ‘herd status sshd’ displays the last time sshd was respawned, but the
> info ‘herd’ receives actually includes the dates of all the respawns,
> not just the last one.  Is that what you’re asking for?
> 

My idea was that maybe make-kill-destructor is being called from
somewhere else. If this is being
logged, one could rule that out.

Another wild idea would be sshd killing itself for some reason. stracing
sshd would tell us, if that's the case. How would one do that? Does
shepherd provide some debugging functions?

Or does linux provide a way to log all sent signals so one could find
the sending process?

Martin

-- 
GPG: 7FDE 7190 2F73 2C50 236E  403D CC13 48F1 E644 08EC




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 1 May 2018 20:44:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 01 16:44:03 2018
Received: from localhost ([127.0.0.1]:46134 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fDc83-0006fR-Ms
	for submit <at> debbugs.gnu.org; Tue, 01 May 2018 16:44:03 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:53344)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fDc81-0006ev-4x
 for 30993 <at> debbugs.gnu.org; Tue, 01 May 2018 16:44:02 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 3D83A13AC7;
 Tue,  1 May 2018 22:44:00 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id XdK62A4I7WLi; Tue,  1 May 2018 22:43:59 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 14306138FE;
 Tue,  1 May 2018 22:43:58 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Martin Castillo <castilma@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
 <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 12 =?utf-8?Q?Flor=C3=A9al?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 01 May 2018 22:43:58 +0200
In-Reply-To: <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN> (Martin
 Castillo's message of "Tue, 1 May 2018 15:13:05 +0200")
Message-ID: <87r2mvnm29.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Martin Castillo <castilma@HIDDEN> skribis:

> (resending because I forgot to CC the list)
>
> On 06.04.2018 14:41, Leo Famulari wrote:
>>> Hmm, where could that SIGTERM come from?  =E2=80=98make-kill-destructor=
=E2=80=99 uses it
>>> when a service is stopped, and otherwise it=E2=80=99s sent when we=E2=
=80=99re shutting
>>> the system down.  But here?=E2=80=A6
>>
>> Indeed, that is the question. Does anyone have advice for debugging?
>>
>> I still have this issue and so I'm continuing to use Shepherd 0.3.2.
>>
>
> Maybe one could somehow strace herd, or change the make-kill-destructor
> to log every time it is being executed?

=E2=80=98herd status sshd=E2=80=99 displays the last time sshd was respawne=
d, but the
info =E2=80=98herd=E2=80=99 receives actually includes the dates of all the=
 respawns,
not just the last one.  Is that what you=E2=80=99re asking for?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 May 2018 13:13:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 01 09:13:21 2018
Received: from localhost ([127.0.0.1]:44814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fDV5s-0004hM-QI
	for submit <at> debbugs.gnu.org; Tue, 01 May 2018 09:13:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <castilma@HIDDEN>) id 1fDV5q-0004h9-I8
 for submit <at> debbugs.gnu.org; Tue, 01 May 2018 09:13:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <castilma@HIDDEN>) id 1fDV5k-0005yq-Nz
 for submit <at> debbugs.gnu.org; Tue, 01 May 2018 09:13:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44257)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <castilma@HIDDEN>)
 id 1fDV5k-0005xm-KS
 for submit <at> debbugs.gnu.org; Tue, 01 May 2018 09:13:12 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35922)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <castilma@HIDDEN>) id 1fDV5j-00036h-7f
 for bug-guix@HIDDEN; Tue, 01 May 2018 09:13:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <castilma@HIDDEN>) id 1fDV5g-0005wr-2c
 for bug-guix@HIDDEN; Tue, 01 May 2018 09:13:11 -0400
Received: from gabriel-vm-2.zfn.uni-bremen.de ([134.102.50.10]:40570
 helo=smtp.uni-bremen.de)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <castilma@HIDDEN>)
 id 1fDV5f-0005wC-Nz
 for bug-guix@HIDDEN; Tue, 01 May 2018 09:13:07 -0400
Received: from [192.168.178.5] (ip4d171518.dynamic.kabel-deutschland.de
 [77.23.21.24])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by smtp.uni-bremen.de (Postfix) with ESMTPSA id 87CC020B62
 for <bug-guix@HIDDEN>; Tue,  1 May 2018 15:13:05 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=uni-bremen.de; s=dkim;
 t=1525180385; bh=Xcf4CYV5UMFlpmUeu4UuxWtNf6rd1nAgyO+Lt+WiZJM=;
 h=To:References:From:Date:In-Reply-To;
 b=slHkHDILQ4epG67G5fZ/1ymClgfj8VxCD9tp8C+vRNB9S8YTXhu+gvhheng2ePx2j
 LnIPkJ7gys1T1/b4Pd2bxvZLq6ZsVSI9WP2IkNuWEFw+BBXJJs1b4Yy5xz+5I6bTGz
 kjN3/4V91SHoP9MsZMI5Ma1VFqa4lEu5w+zRQVLc=
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
To: bug-guix@HIDDEN
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
From: Martin Castillo <castilma@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=castilma@HIDDEN; prefer-encrypt=mutual; keydata=
 xsBNBFXp3VwBCACz5FpcoKuJTL5fndn8CSApG22k/Tmpy2hur38IQKAeIFlk82Z4tvrConIM
 31JeFulbBXIxHyiW6Y3358YUPe1FLnG6x3bzO0Dlhb72cgb1KZtrrfNE4tahjPTzBaTqwuvg
 O2OOAwDhHDv1OyBz/7wS4yUiEoNmjHYMieu7kzGnC4w3sjNESDYKoKqoNN1bx4XZMNPnUG1D
 +p5IOfhRD3fIMEJcnkIjQmR0mKLdlCZmpH7rYDbqg/aF7n0RsDoJ8dAVxLTKMG0HB7w5hI37
 9nJfcIziTfmyd8QM2TN7nEDokRqUMs5jXohzScyo4AL8/dKxPMgJih+muGbTMvbvLmdbABEB
 AAHNLE1hcnRpbiBDYXN0aWxsbyA8TWFydGluLkNhc3RpbGxvQGZyZWVuZXQuZGU+wsCBBBMB
 AgArAhsDBgsJCAcDAgYVCAIJCgsEFgIDAQIeAQIXgAUJENTBQQUCWZY2KwIZAQAKCRDME0jx
 5kQI7HbJB/9W6FpUV8SjrRLntlboZAhxoK/myrQCDWCk3yHJtHJGTabaEx44Ti7AaRm54O5W
 LORmlmL3ck+ReNzrR8u/xIVZ/gCRdt+GnEtDwm5FLZjRXbbaTFovlOQWLu0IW1iUllizGV7F
 aHjPdBoWjkLLLMA9aHDtfkzAxO4qlQZvjXSKvJHGp05AlPuPmtfqNSIXH0bh9rxOmKDMCj8J
 rHtnDzyVjzjBaakNYoQS+DNvjzLkzvcBZZ6Q99d/O0w5esRCaqAKFzSilxFT85Q8gpWIqLkP
 h9ylQ0HxjB03bQqQzV9BpVQ+Qv4Ovf+K9yptTUANxD3xY70RHzeQNvrS3FV3mKjPzsBNBFXp
 3VwBCADTmylgxDM50a78oW4RJYuDRPq1nDj0R5Kw7SvmH3Du00jy+Mo2I6+4fKGogLEKH+HS
 gn9iSZFX09scxQEcQuZk0j+fAcbdY4gEBZpTE87Mc2y3C/q2gnMLkwKUb5Cx0WNx5HnWLIse
 G6sa4cHzj3CtsS6H/YDJver69eEIfNac0HC98HKhKV4WrcY1JG0lfNnLJ8frf7pEQv+/KIOt
 C/QE742DO5p1fAvaKtuNxAzJP1I5iWc8zp9fe5cA7zc0wXgpNBDxGfs3ww2+VJkSTVbCKoen
 J8WEhqBnvPq8i2ogF3C7c45DulIb3CBYNtttIoLQ5D/1e7JSYUF9iIPxUdTjABEBAAHCwGUE
 GAECAA8CGwwFAlmWN64FCRDUwtIACgkQzBNI8eZECOwkiwf8DpOJmziCx2QauLK7olxOq1U2
 S81nD9UZfaycw7hQ6L+oCYPZuG/0v1losqfSBgAZSlY3f2SmTbg/uOJEepV6000SEcm+6shu
 LZ3qLNM+pQr2dX09Ch0lX9nrwIua3Lkbo6XEgN/h6wc0psr7GmmutAGzVG3dnBiRnXYqw4bR
 ab05xMBWY82GTUnGtKmVXAUJxkhUftWDR1uXUxeJnQToBw72XQ5nxGU3K6xOYhtY9+tMo0um
 kcN4sJf/I/Y/A8Gbc6+Ry7f16RtCTZ4+PnF/GaQ1ec9kpF6IV6nAFhOdrVnvEANmqcvGMx5c
 sutNKoih/YzfyhoLbkvUkgoAQIuZ6g==
Message-ID: <a61fd87e-8f57-bae7-7747-e4be02161a4d@HIDDEN>
Date: Tue, 1 May 2018 15:13:05 +0200
MIME-Version: 1.0
In-Reply-To: <20180406124101.GB1883@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

(resending because I forgot to CC the list)

On 06.04.2018 14:41, Leo Famulari wrote:
>> Hmm, where could that SIGTERM come from?  =E2=80=98make-kill-destructo=
r=E2=80=99 uses it
>> when a service is stopped, and otherwise it=E2=80=99s sent when we=E2=80=
=99re shutting
>> the system down.  But here?=E2=80=A6
>
> Indeed, that is the question. Does anyone have advice for debugging?
>
> I still have this issue and so I'm continuing to use Shepherd 0.3.2.
>

Maybe one could somehow strace herd, or change the make-kill-destructor
to log every time it is being executed?

I'm not that fluent in guile so maybe someone else could do that?




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 6 Apr 2018 14:37:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 06 10:37:29 2018
Received: from localhost ([127.0.0.1]:40520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f4SUa-00018Q-V7
	for submit <at> debbugs.gnu.org; Fri, 06 Apr 2018 10:37:29 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:36574)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1f4SUZ-00018G-5M
 for 30993 <at> debbugs.gnu.org; Fri, 06 Apr 2018 10:37:27 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id ACA5712D46;
 Fri,  6 Apr 2018 16:37:25 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id ALpCelGq-nQW; Fri,  6 Apr 2018 16:37:24 +0200 (CEST)
Received: from ribbon (unknown [193.50.110.150])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id A1C6D12D31;
 Fri,  6 Apr 2018 16:37:24 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
References: <20180329200803.GA15842@HIDDEN> <877epk3fuy.fsf@HIDDEN>
 <20180406124101.GB1883@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 17 Germinal an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 06 Apr 2018 16:37:24 +0200
In-Reply-To: <20180406124101.GB1883@HIDDEN> (Leo Famulari's message of
 "Fri, 6 Apr 2018 08:41:01 -0400")
Message-ID: <87po3cz9i3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Leo Famulari <leo@HIDDEN> skribis:

> On Fri, Apr 06, 2018 at 10:21:09AM +0200, Ludovic Court=C3=A8s wrote:
> [...]
>> > Server listening on 0.0.0.0 port 22.
>> > debug1: Bind to port 22 on ::.
>> > Server listening on :: port 22.
>> > Received signal 15; terminating.
>> > ------
>>=20
>> Hmm, where could that SIGTERM come from?  =E2=80=98make-kill-destructor=
=E2=80=99 uses it
>> when a service is stopped, and otherwise it=E2=80=99s sent when we=E2=80=
=99re shutting
>> the system down.  But here?=E2=80=A6
>
> Indeed, that is the question. Does anyone have advice for debugging?
>
> I still have this issue and so I'm continuing to use Shepherd 0.3.2.

For you the bug is 100% reproducible with 0.4.0 and never happens with
0.3.2?  Even in a =E2=80=98guix system vm=E2=80=99?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 6 Apr 2018 12:41:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 06 08:41:05 2018
Received: from localhost ([127.0.0.1]:39926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f4Qfw-0006os-RP
	for submit <at> debbugs.gnu.org; Fri, 06 Apr 2018 08:41:05 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:53879)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1f4Qfv-0006oj-3p
 for 30993 <at> debbugs.gnu.org; Fri, 06 Apr 2018 08:41:03 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 390EB212E2;
 Fri,  6 Apr 2018 08:41:02 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Fri, 06 Apr 2018 08:41:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=8E1LlT8oUnXy7XpwuF7DJCkR0FBlkDsWkA3Hr/iVVOo=; b=xruGR
 GvY0S278BtCFcG37ziYFfzOOw/ptJw4/cQLHrCEBLJ+6bLbQAJ3LRRbQ7S52Rz3G
 vUfb/pHr5kA1ZPXm9XZ7c6GQG71aEJLZd88VYZO0K1SQik3c+V/Xdkp+L9C0zjKS
 ePEeprDjrJuz1ZRwIkT2y24afie3IRfLx9N6nw=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=8E1LlT8oUnXy7XpwuF7DJCkR0FBlk
 DsWkA3Hr/iVVOo=; b=HVr88FvlY61nAXk3YzM/iKyffApkAnbgff/XiboW06EI5
 5UuC0mwSJAjmLEW00eHIQq4nbLW0CeshIULFKrUu28+WY28TTX738Zi0e715TTpf
 jiVky87Tx289Honps59FIyrqWV9L8vURu85OiUGowqyIsATR9X7gUnsEJ7q+fwp0
 9/pxUgAymgx7Nn/rWSnzLTyPOuhKk2AIjl7r3IWOLbcH8pQ+iCAExHAU8w+UmWgR
 yNxbnsKw2u1+E9UcPHfUdP6J5dT+VHJOPeSWozoiafM+jzZw7puWqawl0XQFxiil
 rFl01EPXY3yory0uxiaHKx1a1gHu9gP0zqLaaOtmw==
X-ME-Sender: <xms:3mrHWoAOlCJ2VCuhSyLbhEIZKFd-Yh3W1Q4gM5Oggf34cz5NXg0zUw>
Received: from localhost (static-96-245-220-114.phlapa.fios.verizon.net
 [96.245.220.114])
 by mail.messagingengine.com (Postfix) with ESMTPA id F2DD71027F;
 Fri,  6 Apr 2018 08:41:01 -0400 (EDT)
Date: Fri, 6 Apr 2018 08:41:01 -0400
From: Leo Famulari <leo@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
Message-ID: <20180406124101.GB1883@HIDDEN>
References: <20180329200803.GA15842@HIDDEN>
 <877epk3fuy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="BwCQnh7xodEAoBMC"
Content-Disposition: inline
In-Reply-To: <877epk3fuy.fsf@HIDDEN>
User-Agent: Mutt/1.9.4 (2018-02-28)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--BwCQnh7xodEAoBMC
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Fri, Apr 06, 2018 at 10:21:09AM +0200, Ludovic Court=C3=A8s wrote:
[...]
> > Server listening on 0.0.0.0 port 22.
> > debug1: Bind to port 22 on ::.
> > Server listening on :: port 22.
> > Received signal 15; terminating.
> > ------
>=20
> Hmm, where could that SIGTERM come from?  =E2=80=98make-kill-destructor=
=E2=80=99 uses it
> when a service is stopped, and otherwise it=E2=80=99s sent when we=E2=80=
=99re shutting
> the system down.  But here?=E2=80=A6

Indeed, that is the question. Does anyone have advice for debugging?

I still have this issue and so I'm continuing to use Shepherd 0.3.2.

--BwCQnh7xodEAoBMC
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlrHat0ACgkQJkb6MLrK
fwgNFg//X+diB7+Bg11URGH73/vda9Xpt9FSFqz6lo9fbnAj/Seli28MGZdYYaYt
GalvF62goVye0IT8UET7MAenHTatffaJt6wv5ejen5AdxbsH0tjFPJT+GqU5nNXo
09uAniGJOykbMZTejoGuC7Zr05zKubwH4R3mnctpEMs8i4Y2YrEasBJlUAkUZciu
mzqGLIIhcvSPrKujqLV9RgJeCi2zMwpEBV0KNSdUy0gmEODlDl/1ObcFrKY7Ykzh
6JiMygz52NKEoQtIre9VX2e+0LuVKMppWnrTI2NPhU56T8E+sJGm88Wo0Ntm2cWU
LZNPrT0EeFa91yYhuCLIlp5L0HtdCno8J3aJ1UqF8te5a3BswLE6FehdAJCEmTOt
rrNlEXPed8+aSYfuXxdxYKaP2IRrTEQB8d6bLzkvT6Lca0PvbqD9G1nCkBeXh8P4
I4eDpgLLHQ4lpZC/ivQFew8nEUQC1Rvtjzk+9RjRqvGy321FWplI7QsLOSY5grR+
DAz1+kouOCuGU0m6aA636+lsFf703FTRzP0mq3G6j9u2S48q9MX+mFWfltfGCEKe
mfl9HfWiT7PIDBJMjly7ILC1UkwPrBrISOQ93fdVS1IMifLuzKK3yIZ0zaltFQM5
vDZXSD3OcC4pF+LMGH+LKEhGZckOWYGH8WPXvcs0qka2NUf6Apo=
=b2IG
-----END PGP SIGNATURE-----

--BwCQnh7xodEAoBMC--




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at 30993 <at> debbugs.gnu.org:


Received: (at 30993) by debbugs.gnu.org; 6 Apr 2018 08:21:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 06 04:21:15 2018
Received: from localhost ([127.0.0.1]:39835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f4McV-0005KX-He
	for submit <at> debbugs.gnu.org; Fri, 06 Apr 2018 04:21:15 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:33868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1f4McS-0005KO-E7
 for 30993 <at> debbugs.gnu.org; Fri, 06 Apr 2018 04:21:13 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id E114512C9D;
 Fri,  6 Apr 2018 10:21:11 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Uf7O-DVzRGTg; Fri,  6 Apr 2018 10:21:10 +0200 (CEST)
Received: from ribbon (nat-eduroam-36-gw-01-bso.bordeaux.inria.fr
 [194.199.1.36])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 05A121205D;
 Fri,  6 Apr 2018 10:21:09 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
References: <20180329200803.GA15842@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 17 Germinal an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 06 Apr 2018 10:21:09 +0200
In-Reply-To: <20180329200803.GA15842@HIDDEN> (Leo Famulari's message of
 "Thu, 29 Mar 2018 16:08:03 -0400")
Message-ID: <877epk3fuy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30993
Cc: 30993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Leo,

Leo Famulari <leo@HIDDEN> skribis:

> Since the update to Shepherd 0.4.0, I've found that OpenSSH's sshd is
> killed almost immediately after it starts with signal 15. I confirmed
> the issue started with the Shepherd upgrade by bisecting our Git
> history.
>
> I can reproduce the issue from commit
> b6beda1d6b9093a8493b5c3cde33ed522242c451 (gnu: Add botan.).
>
> One interesting tidbit is that the PID file '/var/run/sshd.pid' is not
> created anymore. And if I create an empty PID file by hand, it is
> removed after trying to start the ssh-daemon service. Also, the sshd
> user's home '/var/run/sshd' does not exist, and is similarly removed if
> it does exist.

Weird.  On my laptop /var/run/sshd.pid exists and contains the right
PID.  /var/run/sshd does not exist, though.

When I run the config you posted in =E2=80=98guix system vm=E2=80=99, =E2=
=80=98ssh-daemon=E2=80=99 is
correctly started and I see a correct ssh.pid and /var/run/sshd exists
as well.

> I ran the OpenSSH system test `make check-system TESTS=3Dopenssh` and it
> failed when it could not find the PID file. It passed on another
> non-GuixSD machine. The failing machine is relatively slow and lacks
> KVM: a ThinkPad x200s.

FWIW on my x86_64 laptop, I=E2=80=99ve run it several times in a row (using
=E2=80=9Cguix build /gnu/store/=E2=80=A6-openssh.drv --check=E2=80=9D), and=
 it always succeeds.

> I modified the sshd invocation to print some debug output ('-d -E
> /tmp/sshd.log') and this is what it shows:
>
> ------
> debug1: sshd version OpenSSH_7.6, OpenSSL 1.0.2o  27 Mar 2018
> debug1: private host key #0: ssh-rsa SHA256:REDACTED
> debug1: private host key #1: ssh-dss SHA256:REDACTED
> debug1: private host key #2: ecdsa-sha2-nistp256 SHA256:REDACTED
> debug1: private host key #3: ssh-ed25519 SHA256:REDACTED
> debug1: rexec_argv[0]=3D'/gnu/store/az7vib8gk16fybhshh5xpkljmgxyrs4k-open=
ssh-7.6p1/sbin/sshd'
> debug1: rexec_argv[1]=3D'-D'
> debug1: rexec_argv[2]=3D'-d'
> debug1: rexec_argv[3]=3D'-E'
> debug1: rexec_argv[4]=3D'/tmp/sshd.log'
> debug1: rexec_argv[5]=3D'-f'
> debug1: rexec_argv[6]=3D'/gnu/store/miy7xg5j4fg3mn04mcl27awmcl6s97ss-sshd=
_config'
> debug1: Set /proc/self/oom_score_adj from 0 to -1000
> debug1: Bind to port 22 on 0.0.0.0.
> Server listening on 0.0.0.0 port 22.
> debug1: Bind to port 22 on ::.
> Server listening on :: port 22.
> Received signal 15; terminating.
> ------

Hmm, where could that SIGTERM come from?  =E2=80=98make-kill-destructor=E2=
=80=99 uses it
when a service is stopped, and otherwise it=E2=80=99s sent when we=E2=80=99=
re shutting
the system down.  But here?=E2=80=A6

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Mar 2018 20:08:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 29 16:08:32 2018
Received: from localhost ([127.0.0.1]:59075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f1dqX-0005Ce-DG
	for submit <at> debbugs.gnu.org; Thu, 29 Mar 2018 16:08:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1f1dqU-0005CP-Ox
 for submit <at> debbugs.gnu.org; Thu, 29 Mar 2018 16:08:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1f1dqL-0003C4-1p
 for submit <at> debbugs.gnu.org; Thu, 29 Mar 2018 16:08:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53629)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leo@HIDDEN>) id 1f1dqK-0003BK-Pu
 for submit <at> debbugs.gnu.org; Thu, 29 Mar 2018 16:08:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42536)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1f1dqG-00025E-4P
 for bug-guix@HIDDEN; Thu, 29 Mar 2018 16:08:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1f1dqB-0002vo-GX
 for bug-guix@HIDDEN; Thu, 29 Mar 2018 16:08:12 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:52697)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leo@HIDDEN>) id 1f1dqB-0002rO-3q
 for bug-guix@HIDDEN; Thu, 29 Mar 2018 16:08:07 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 5126B219AA;
 Thu, 29 Mar 2018 16:08:05 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Thu, 29 Mar 2018 16:08:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=content-type:date:from:message-id:mime-version:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc; s=mesmtp; bh=DvsRuy0cfwBJid
 1Xoj7mTv81zcVKG6PdhZPNrul830A=; b=ng339tzijoVb3Gvvj2r2+NAalYIKL9
 Q2VaPNBgQv8gic94CVpQ1+hXrf2zeFBycauyOq5T81KVUCsie8hkLBTarnbIJfYh
 Oy4stAmQgAM68+ltAailVx6h2AUFacbX8PlrZpcdwOZgEPjF/yPwq/A4ENAwnkj5
 E77uw/mDa0R24=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; bh=DvsRuy0cfwBJid1Xoj7mTv81zcVKG6PdhZPNrul830A=; b=VFv9iYDL
 /jz0WdGzxmIl9tiU3fcEApNQty0ACNlxXAJcp1t3f+DBdJSrG5szhPRCt85+EW5I
 kkPS7T8zOI8P2xXL5aiaopxPeOmznaEbGPg8G1tjBM730TugvFLaCxilBZaMoLuh
 d85Ze/JEKIRYMT8vWyU5f29ff+0en6ScR/AspZe+eY43GYGjvHronLZ3XwtiRDW9
 X4XhrMeRsKa4Fe9By66mEICf3mXzf4uIma/WW5lfQIvIzTBq7EyvAt4gb+6wZW9z
 A1/Tn1gKvXlPcyP4f+6FhZjhC8Ei3IsCOykcV7zvotyHxYYKo7JMKTVHbuA6B1Gi
 GfPnNNMPdO4tdA==
X-ME-Sender: <xms:pUe9WoDGWyoT8t-ckb8g2f0We96W6Tt7mBJK771sbqH_3TmdihJP4Q>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id ED86410251
 for <bug-guix@HIDDEN>; Thu, 29 Mar 2018 16:08:04 -0400 (EDT)
Date: Thu, 29 Mar 2018 16:08:03 -0400
From: Leo Famulari <leo@HIDDEN>
To: bug-guix@HIDDEN
Subject: OpenSSH sshd killed by Shepherd 0.4.0
Message-ID: <20180329200803.GA15842@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="p4qYPpj5QlsIQJ0K"
Content-Disposition: inline
User-Agent: Mutt/1.9.3 (2018-01-21)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)


--p4qYPpj5QlsIQJ0K
Content-Type: multipart/mixed; boundary="zYM0uCDKw75PZbzx"
Content-Disposition: inline


--zYM0uCDKw75PZbzx
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Since the update to Shepherd 0.4.0, I've found that OpenSSH's sshd is
killed almost immediately after it starts with signal 15. I confirmed
the issue started with the Shepherd upgrade by bisecting our Git
history.

I can reproduce the issue from commit
b6beda1d6b9093a8493b5c3cde33ed522242c451 (gnu: Add botan.).

One interesting tidbit is that the PID file '/var/run/sshd.pid' is not
created anymore. And if I create an empty PID file by hand, it is
removed after trying to start the ssh-daemon service. Also, the sshd
user's home '/var/run/sshd' does not exist, and is similarly removed if
it does exist.

I ran the OpenSSH system test `make check-system TESTS=openssh` and it
failed when it could not find the PID file. It passed on another
non-GuixSD machine. The failing machine is relatively slow and lacks
KVM: a ThinkPad x200s.

After boot, trying to start the service again with `herd start
ssh-daemon` gives the same result.

I modified the sshd invocation to print some debug output ('-d -E
/tmp/sshd.log') and this is what it shows:

------
debug1: sshd version OpenSSH_7.6, OpenSSL 1.0.2o  27 Mar 2018
debug1: private host key #0: ssh-rsa SHA256:REDACTED
debug1: private host key #1: ssh-dss SHA256:REDACTED
debug1: private host key #2: ecdsa-sha2-nistp256 SHA256:REDACTED
debug1: private host key #3: ssh-ed25519 SHA256:REDACTED
debug1: rexec_argv[0]='/gnu/store/az7vib8gk16fybhshh5xpkljmgxyrs4k-openssh-7.6p1/sbin/sshd'
debug1: rexec_argv[1]='-D'
debug1: rexec_argv[2]='-d'
debug1: rexec_argv[3]='-E'
debug1: rexec_argv[4]='/tmp/sshd.log'
debug1: rexec_argv[5]='-f'
debug1: rexec_argv[6]='/gnu/store/miy7xg5j4fg3mn04mcl27awmcl6s97ss-sshd_config'
debug1: Set /proc/self/oom_score_adj from 0 to -1000
debug1: Bind to port 22 on 0.0.0.0.
Server listening on 0.0.0.0 port 22.
debug1: Bind to port 22 on ::.
Server listening on :: port 22.
Received signal 15; terminating.
------

My system configuration file, the shepherd log messages, and the OpenSSH
system test logs are attached. Any ideas?

--zYM0uCDKw75PZbzx
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="shepherd.log"
Content-Transfer-Encoding: quoted-printable

Mar 29 15:47:32 localhost shepherd[1]: Service syslogd has been started.=20
Mar 29 15:47:33 localhost shepherd[1]: Service loopback has been started.=
=20
Mar 29 15:47:34 localhost shepherd[1]: Service virtual-terminal has been st=
arted.=20
Mar 29 15:47:35 localhost shepherd[1]: Service term-tty6 has been started.=
=20
Mar 29 15:47:35 localhost shepherd[1]: Service term-tty5 has been started.=
=20
Mar 29 15:47:36 localhost shepherd[1]: Service term-tty4 has been started.=
=20
Mar 29 15:47:38 localhost shepherd[1]: Service term-tty3 has been started.=
=20
Mar 29 15:47:39 localhost shepherd[1]: Service term-tty2 has been started.=
=20
Mar 29 15:47:41 localhost shepherd[1]: Service term-tty1 has been started.=
=20
Mar 29 15:47:43 localhost shepherd[1]: Service term-auto could not be start=
ed.=20
Mar 29 15:47:44 localhost shepherd[1]: Service console-font-tty1 has been s=
tarted.=20
Mar 29 15:47:46 localhost shepherd[1]: Service console-font-tty2 has been s=
tarted.=20
Mar 29 15:47:48 localhost shepherd[1]: Service console-font-tty3 has been s=
tarted.=20
Mar 29 15:47:49 localhost shepherd[1]: Service console-font-tty4 has been s=
tarted.=20
Mar 29 15:47:50 localhost shepherd[1]: Service console-font-tty5 has been s=
tarted.=20
Mar 29 15:47:50 localhost shepherd[1]: Service console-font-tty6 has been s=
tarted.=20
Mar 29 15:47:51 localhost shepherd[1]: Service dbus-system has been started=
=2E=20
Mar 29 15:47:51 localhost shepherd[1]: Service networking has been started.=
=20
Mar 29 15:47:52 localhost shepherd[1]: Service ntpd has been started.=20
Mar 29 15:47:56 localhost shepherd[1]: Service ssh-daemon could not be star=
ted.=20
Mar 29 15:47:59 localhost shepherd[1]: Service gpm has been started.=20
Mar 29 15:48:29 localhost vmunix: [    5.486795] shepherd[1]: Service root =
has been started.
Mar 29 15:48:29 localhost vmunix: [    7.379651] shepherd[1]: starting serv=
ices...
Mar 29 15:48:29 localhost vmunix: [    7.381562] shepherd[1]: Service root-=
file-system has been started.
Mar 29 15:48:29 localhost vmunix: [    7.383337] shepherd[1]: Service user-=
file-systems has been started.
Mar 29 15:48:29 localhost vmunix: [    7.625406] shepherd[1]: Service file-=
system-/home has been started.
Mar 29 15:48:29 localhost vmunix: [    7.627645] shepherd[1]: Service file-=
system-/dev/pts has been started.
Mar 29 15:48:29 localhost vmunix: [    7.629909] shepherd[1]: Service file-=
system-/dev/shm has been started.
Mar 29 15:48:29 localhost vmunix: [    7.632089] shepherd[1]: Service file-=
system-/gnu/store has been started.
Mar 29 15:48:29 localhost vmunix: [    7.633924] shepherd[1]: Service file-=
systems has been started.
Mar 29 15:48:29 localhost vmunix: [    7.731477] shepherd[1]: waiting for u=
devd...
Mar 29 15:48:29 localhost vmunix: [    8.331344] shepherd[1]: Service udev =
has been started.
Mar 29 15:48:30 localhost vmunix: [    8.446599] shepherd[1]: Service urand=
om-seed has been started.
Mar 29 15:48:30 localhost vmunix: [    8.448462] shepherd[1]: Service user-=
processes has been started.
Mar 29 15:48:30 localhost vmunix: [    8.450424] shepherd[1]: Service host-=
name has been started.
Mar 29 15:48:30 localhost vmunix: [    8.546746] shepherd[1]: Service user-=
homes could not be started.
Mar 29 15:48:30 localhost vmunix: [    9.554051] shepherd[1]: Service nscd =
has been started.
Mar 29 15:48:30 localhost vmunix: [    9.606182] shepherd[1]: Service guix-=
daemon has been started.
Mar 29 15:49:21 localhost shepherd[1]: Respawning term-tty2.=20
Mar 29 15:49:21 localhost shepherd[1]: Service term-tty2 has been started.=
=20
Mar 29 15:49:28 localhost shepherd[1]: Respawning term-tty1.=20
Mar 29 15:49:28 localhost shepherd[1]: Service term-tty1 has been started.=
=20

--zYM0uCDKw75PZbzx
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="system.scm"

;; This is an operating system configuration template
;; for a "bare bones" setup, with no X11 display server.

(use-modules (gnu))
(use-service-modules networking
                     dbus
                     ssh
                     sysctl)
(use-package-modules certs
                     curl
                     ssh
                     rsync
                     tmux
                     version-control
                     vim)

(operating-system
  (host-name "computer")
  (timezone "America/New_York")
  (locale "en_US.UTF-8")

  (kernel-arguments
   '(;; Console resolution
     "gfxpayload=1440x900x16,1440x900"

     ;; console cursor. stops the blinking but the colors are bad
     "vt.cur.default=0x520032"

     "consoleblank=120"
     "quiet"))

  ;; Assuming /dev/sdX is the target hard disk, and "my-root" is
  ;; the label of the target root file system.
  (bootloader (grub-configuration (target "/dev/sda")
                                  (terminal-outputs '(console))))
  (file-systems (cons* (file-system
                        (device "my-root")
                        (title 'label)
                        (mount-point "/")
                        (type "ext4"))
                       (file-system
                        (device "home")
                        (title 'label)
                        (mount-point "/home")
                        (type "ext4"))
                      %base-file-systems))

  ;; This is where user accounts are specified.  The "root"
  ;; account is implicit, and is initially created with the
  ;; empty password.
  (users (cons (user-account
                (name "leo")
                (comment "")
                (group "users")

                ;; Adding the account to the "wheel" group
                ;; makes it a sudoer.  Adding it to "audio"
                ;; and "video" allows the user to play sound
                ;; and access the webcam.
                (supplementary-groups '("wheel" "netdev" "audio"))
                (home-directory (string-append "/home/" name)))
               %base-user-accounts))

  ;; Globally-installed packages.
  (packages (cons* curl
                   git
                   openssh
                   mosh
                   nss-certs
                   rsync
                   tmux
                   vim
                   %base-packages))

  (services
    (cons* (dbus-service)
           (gpm-service)
           (service openssh-service-type
                      (openssh-configuration
                        (password-authentication? #f)))
           (ntp-service)
           (wicd-service)
           (modify-services %base-services
             (guix-service-type config =>
                                (guix-configuration
                                  (inherit config)
                                  (substitute-urls '("https://berlin.guixsd.org https://mirror.hydra.gnu.org"))))))))

--zYM0uCDKw75PZbzx
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="check.log"
Content-Transfer-Encoding: quoted-printable

Compiling Scheme modules...
Running 1 system tests...
The following derivation will be built:
   /gnu/store/z4whl2ghvwwhyh323ihh13n1y8j6f6bq-openssh.drv
@ build-started /gnu/store/z4whl2ghvwwhyh323ihh13n1y8j6f6bq-openssh.drv - x=
86_64-linux /var/log/guix/drvs/z4//whl2ghvwwhyh323ihh13n1y8j6f6bq-openssh.d=
rv.bz2
=1Bc=1B[?7l=1B[2J=1B[0mSeaBIOS (version rel-1.11.0-0-g63451fca13-prebuilt.q=
emu-project.org)=0D


iPXE (http://ipxe.org) 00:03.0 C980 PCI2.10 PnP PMM+0FF91300+0FEF1300 C980=
=0D
Press Ctrl-B to configure iPXE (PCI 00:03.0)...=0D                         =
                                                      =0D


Booting from ROM..=1Bc=1B[?7l=1B[2J=1B[0m.=0D[    0.000000] Linux version 4=
=2E15.13-gnu (nixbld@) (gcc version 7.3.0 (GCC)) #1 SMP 1=0D
[    0.000000] Command line: console=3DttyS0 --root=3D/dev/vda1 --system=3D=
/gnu/store/lli9bx5hq3hqb1d2vshm41sc2whxm36m-system --load=3D/gnu/store/lli9=
bx5hq3hqb1d2vshm41sc2whxm36m-system/boot panic=3D1=0D
[    0.000000] KERNEL supported cpus:=0D
[    0.000000]   Intel GenuineIntel=0D
[    0.000000]   AMD AuthenticAMD=0D
[    0.000000]   Centaur CentaurHauls=0D
[    0.000000] x86/fpu: x87 FPU will use FXSAVE=0D
[    0.000000] e820: BIOS-provided physical RAM map:=0D
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usabl=
e=0D
[    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reser=
ved=0D
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reser=
ved=0D
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000000ffddfff] usabl=
e=0D
[    0.000000] BIOS-e820: [mem 0x000000000ffde000-0x000000000fffffff] reser=
ved=0D
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reser=
ved=0D
[    0.000000] NX (Execute Disable) protection: active=0D
[    0.000000] random: fast init done=0D
[    0.000000] SMBIOS 2.8 present.=0D
[    0.000000] DMI: QEMU Standard PC (i440FX + PIIX, 1996), BIOS rel-1.11.0=
-0-g63451fca13-prebuilt.qemu-project.org 04/01/2014=0D
[    0.000000] e820: last_pfn =3D 0xffde max_arch_pfn =3D 0x400000000=0D
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT=
  =0D
[    0.000000] found SMP MP-table at [mem 0x000f5b60-0x000f5b6f] mapped at =
[        (ptrval)]=0D
[    0.000000] Scanning 1 areas for low memory corruption=0D
[    0.000000] RAMDISK: [mem 0x0f512000-0x0ffcffff]=0D
[    0.000000] ACPI: Early table checksum verification disabled=0D
[    0.000000] ACPI: RSDP 0x00000000000F5960 000014 (v00 BOCHS )=0D
[    0.000000] ACPI: RSDT 0x000000000FFE15FC 000030 (v01 BOCHS  BXPCRSDT 00=
000001 BXPC 00000001)=0D
[    0.000000] ACPI: FACP 0x000000000FFE1458 000074 (v01 BOCHS  BXPCFACP 00=
000001 BXPC 00000001)=0D
[    0.000000] ACPI: DSDT 0x000000000FFE0040 001418 (v01 BOCHS  BXPCDSDT 00=
000001 BXPC 00000001)=0D
[    0.000000] ACPI: FACS 0x000000000FFE0000 000040=0D
[    0.000000] ACPI: APIC 0x000000000FFE154C 000078 (v01 BOCHS  BXPCAPIC 00=
000001 BXPC 00000001)=0D
[    0.000000] ACPI: HPET 0x000000000FFE15C4 000038 (v01 BOCHS  BXPCHPET 00=
000001 BXPC 00000001)=0D
[    0.000000] No NUMA configuration found=0D
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000000ffddfff]=
=0D
[    0.000000] NODE_DATA(0) allocated [mem 0x0ffda000-0x0ffddfff]=0D
[    0.000000] tsc: Using PIT calibration value=0D
[    0.000000] Zone ranges:=0D
[    0.000000]   DMA32    [mem 0x0000000000001000-0x000000000ffddfff]=0D
[    0.000000]   Normal   empty=0D
[    0.000000]   Device   empty=0D
[    0.000000] Movable zone start for each node=0D
[    0.000000] Early memory node ranges=0D
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009efff]=0D
[    0.000000]   node   0: [mem 0x0000000000100000-0x000000000ffddfff]=0D
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x000000000ffdd=
fff]=0D
[    0.000000] Reserved but unavailable: 98 pages=0D
[    0.000000] ACPI: PM-Timer IO Port: 0x608=0D
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0xff] dfl dfl lint[0x1])=0D
[    0.000000] IOAPIC[0]: apic_id 0, version 32, address 0xfec00000, GSI 0-=
23=0D
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)=0D
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)=
=0D
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)=
=0D
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level=
)=0D
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level=
)=0D
[    0.000000] Using ACPI (MADT) for SMP configuration information=0D
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000=0D
[    0.000000] smpboot: Allowing 1 CPUs, 0 hotplug CPUs=0D
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]=0D
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]=0D
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]=0D
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]=0D
[    0.000000] e820: [mem 0x10000000-0xfffbffff] available for PCI devices=
=0D
[    0.000000] Booting paravirtualized kernel on bare hardware=0D
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0=
xffffffff, max_idle_ns: 7645519600211568 ns=0D
[    0.000000] setup_percpu: NR_CPUS:256 nr_cpumask_bits:256 nr_cpu_ids:1 n=
r_node_ids:1=0D
[    0.000000] percpu: Embedded 45 pages/cpu @        (ptrval) s146072 r819=
2 d30056 u2097152=0D
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 64359=
=0D
[    0.000000] Policy zone: DMA32=0D
[    0.000000] Kernel command line: console=3DttyS0 --root=3D/dev/vda1 --sy=
stem=3D/gnu/store/lli9bx5hq3hqb1d2vshm41sc2whxm36m-system --load=3D/gnu/sto=
re/lli9bx5hq3hqb1d2vshm41sc2whxm36m-system/boot panic=3D1=0D
[    0.000000] Memory: 223164K/261616K available (12300K kernel code, 1508K=
 rwdata, 3840K rodata, 1760K init, 1164K bss, 38452K reserved, 0K cma-reser=
ved)=0D
[    0.000000] SLUB: HWalign=3D64, Order=3D0-3, MinObjects=3D0, CPUs=3D1, N=
odes=3D1=0D
[    0.000000] ftrace: allocating 37456 entries in 147 pages=0D
[    0.000000] Hierarchical RCU implementation.=0D
[    0.000000] 	RCU restricting CPUs from NR_CPUS=3D256 to nr_cpu_ids=3D1.=
=0D
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=3D16, nr_cpu_ids=
=3D1=0D
[    0.000000] NR_IRQS: 16640, nr_irqs: 256, preallocated irqs: 16=0D
[    0.000000] Console: colour VGA+ 80x25=0D
[    0.000000] console [ttyS0] enabled=0D
[    0.000000] ACPI: Core revision 20170831=0D
[    0.000000] ACPI: 1 ACPI AML tables successfully acquired and loaded=0D
[    0.000000] clocksource: hpet: mask: 0xffffffff max_cycles: 0xffffffff, =
max_idle_ns: 19112604467 ns=0D
[    0.008000] APIC: Switch to symmetric I/O mode setup=0D
[    0.020000] ..TIMER: vector=3D0x30 apic1=3D0 pin1=3D2 apic2=3D-1 pin2=3D=
-1=0D
[    0.040000] tsc: Fast TSC calibration using PIT=0D
[    0.044000] tsc: Detected 1862.112 MHz processor=0D
[    0.044000] Calibrating delay loop (skipped), value calculated using tim=
er frequency.. 3724.22 BogoMIPS (lpj=3D7448448)=0D
[    0.044000] pid_max: default: 32768 minimum: 301=0D
[    0.044000] Security Framework initialized=0D
[    0.044000] Yama: becoming mindful.=0D
[    0.053236] AppArmor: AppArmor initialized=0D
[    0.059332] Dentry cache hash table entries: 32768 (order: 6, 262144 byt=
es)=0D
[    0.061386] Inode-cache hash table entries: 16384 (order: 5, 131072 byte=
s)=0D
[    0.064452] Mount-cache hash table entries: 512 (order: 0, 4096 bytes)=0D
[    0.066201] Mountpoint-cache hash table entries: 512 (order: 0, 4096 byt=
es)=0D
[    0.098887] mce: CPU supports 10 MCE banks=0D
[    0.102074] Last level iTLB entries: 4KB 0, 2MB 0, 4MB 0=0D
[    0.103491] Last level dTLB entries: 4KB 0, 2MB 0, 4MB 0, 1GB 0=0D
[    0.104170] Spectre V2 : Spectre mitigation: LFENCE not serializing, swi=
tching to generic retpoline=0D
[    0.106545] Spectre V2 : Mitigation: Full generic retpoline=0D
[    0.108109] Spectre V2 : Spectre v2 mitigation: Filling RSB on context s=
witch=0D
[    0.817807] Freeing SMP alternatives memory: 28K=0D
[    0.864000] smpboot: CPU0: AMD QEMU Virtual CPU version 2.5+ (family: 0x=
6, model: 0x6, stepping: 0x3)=0D
[    0.873074] Performance Events: PMU not available due to virtualization,=
 using software events only.=0D
[    0.876559] Hierarchical SRCU implementation.=0D
[    0.893597] NMI watchdog: Perf event create on CPU 0 failed with -2=0D
[    0.895131] NMI watchdog: Perf NMI watchdog permanently disabled=0D
[    0.901277] smp: Bringing up secondary CPUs ...=0D
[    0.902307] smp: Brought up 1 node, 1 CPU=0D
[    0.903445] smpboot: Max logical packages: 1=0D
[    0.904070] smpboot: Total of 1 processors activated (3724.22 BogoMIPS)=
=0D
[    0.932615] devtmpfs: initialized=0D
[    0.940082] x86/mm: Memory block size: 128MB=0D
[    0.947450] evm: security.selinux=0D
[    0.948000] evm: security.SMACK64=0D
[    0.948000] evm: security.SMACK64EXEC=0D
[    0.948000] evm: security.SMACK64TRANSMUTE=0D
[    0.948000] evm: security.SMACK64MMAP=0D
[    0.948000] evm: security.apparmor=0D
[    0.948000] evm: security.ima=0D
[    0.948839] evm: security.capability=0D
[    0.957213] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xfffffff=
f, max_idle_ns: 7645041785100000 ns=0D
[    0.960350] futex hash table entries: 256 (order: 2, 16384 bytes)=0D
[    0.967828] pinctrl core: initialized pinctrl subsystem=0D
[    0.976073] RTC time: 20:00:31, date: 03/29/18=0D
[    0.984579] NET: Registered protocol family 16=0D
[    0.990463] audit: initializing netlink subsys (disabled)=0D
[    0.996741] audit: type=3D2000 audit(1522353629.992:1): state=3Dinitiali=
zed audit_enabled=3D0 res=3D1=0D
[    1.005216] cpuidle: using governor ladder=0D
[    1.006745] cpuidle: using governor menu=0D
[    1.013354] ACPI: bus type PCI registered=0D
[    1.014768] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5=0D
[    1.023534] PCI: Using configuration type 1 for base access=0D
[    1.085592] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages=
=0D
[    1.099233] ACPI: Added _OSI(Module Device)=0D
[    1.100108] ACPI: Added _OSI(Processor Device)=0D
[    1.101286] ACPI: Added _OSI(3.0 _SCP Extensions)=0D
[    1.102529] ACPI: Added _OSI(Processor Aggregator Device)=0D
[    1.145775] ACPI: Interpreter enabled=0D
[    1.148602] ACPI: (supports S0 S3 S4 S5)=0D
[    1.149762] ACPI: Using IOAPIC for interrupt routing=0D
[    1.152337] PCI: Using host bridge windows from ACPI; if necessary, use =
"pci=3Dnocrs" and report a bug=0D
[    1.159380] ACPI: Enabled 2 GPEs in block 00 to 0F=0D
[    1.253283] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])=0D
[    1.255573] acpi PNP0A03:00: _OSC: OS supports [ASPM ClockPM Segments MS=
I]=0D
[    1.256543] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM=
=0D
[    1.260981] acpi PNP0A03:00: fail to add MMCONFIG information, can't acc=
ess extended PCI configuration space under this bridge.=0D
[    1.278069] acpiphp: Slot [3] registered=0D
[    1.279352] acpiphp: Slot [4] registered=0D
[    1.280287] acpiphp: Slot [5] registered=0D
[    1.281631] acpiphp: Slot [6] registered=0D
[    1.282983] acpiphp: Slot [7] registered=0D
[    1.284367] acpiphp: Slot [8] registered=0D
[    1.285764] acpiphp: Slot [9] registered=0D
[    1.287156] acpiphp: Slot [10] registered=0D
[    1.288368] acpiphp: Slot [11] registered=0D
[    1.289795] acpiphp: Slot [12] registered=0D
[    1.292375] acpiphp: Slot [13] registered=0D
[    1.293745] acpiphp: Slot [14] registered=0D
[    1.295116] acpiphp: Slot [15] registered=0D
[    1.296403] acpiphp: Slot [16] registered=0D
[    1.297771] acpiphp: Slot [17] registered=0D
[    1.299145] acpiphp: Slot [18] registered=0D
[    1.300370] acpiphp: Slot [19] registered=0D
[    1.301737] acpiphp: Slot [20] registered=0D
[    1.303094] acpiphp: Slot [21] registered=0D
[    1.304407] acpiphp: Slot [22] registered=0D
[    1.305784] acpiphp: Slot [23] registered=0D
[    1.308245] acpiphp: Slot [24] registered=0D
[    1.309614] acpiphp: Slot [25] registered=0D
[    1.311029] acpiphp: Slot [26] registered=0D
[    1.311661] acpiphp: Slot [27] registered=0D
[    1.312438] acpiphp: Slot [28] registered=0D
[    1.313040] acpiphp: Slot [29] registered=0D
[    1.313628] acpiphp: Slot [30] registered=0D
[    1.314215] acpiphp: Slot [31] registered=0D
[    1.315056] PCI host bridge to bus 0000:00=0D
[    1.315674] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window=
]=0D
[    1.316110] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window=
]=0D
[    1.316627] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bfff=
f window]=0D
[    1.317171] pci_bus 0000:00: root bus resource [mem 0x10000000-0xfebffff=
f window]=0D
[    1.317711] pci_bus 0000:00: root bus resource [mem 0x100000000-0x17ffff=
fff window]=0D
[    1.318509] pci_bus 0000:00: root bus resource [bus 00-ff]=0D
[    1.342323] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x=
01f7]=0D
[    1.344151] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]=0D
[    1.345931] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x=
0177]=0D
[    1.348113] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]=0D
[    1.354756] pci 0000:00:01.3: quirk: [io  0x0600-0x063f] claimed by PIIX=
4 ACPI=0D
[    1.356162] pci 0000:00:01.3: quirk: [io  0x0700-0x070f] claimed by PIIX=
4 SMB=0D
[    1.491413] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)=0D
[    1.492368] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)=0D
[    1.494362] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)=0D
[    1.496000] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)=0D
[    1.496000] ACPI: PCI Interrupt Link [LNKS] (IRQs *9)=0D
[    1.507649] pci 0000:00:02.0: vgaarb: setting as boot VGA device=0D
[    1.508000] pci 0000:00:02.0: vgaarb: VGA device added: decodes=3Dio+mem=
,owns=3Dio+mem,locks=3Dnone=0D
[    1.508000] pci 0000:00:02.0: vgaarb: bridge control possible=0D
[    1.508000] vgaarb: loaded=0D
[    1.513997] SCSI subsystem initialized=0D
[    1.517130] ACPI: bus type USB registered=0D
[    1.518474] usbcore: registered new interface driver usbfs=0D
[    1.519502] usbcore: registered new interface driver hub=0D
[    1.520242] usbcore: registered new device driver usb=0D
[    1.523103] EDAC MC: Ver: 3.0.0=0D
[    1.529480] PCI: Using ACPI for IRQ routing=0D
[    1.545043] NetLabel: Initializing=0D
[    1.545397] NetLabel:  domain hash size =3D 128=0D
[    1.545746] NetLabel:  protocols =3D UNLABELED CIPSOv4 CALIPSO=0D
[    1.549527] NetLabel:  unlabeled traffic allowed by default=0D
[    1.553776] HPET: 3 timers in total, 0 timers will be used for per-cpu t=
imer=0D
[    1.554817] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0=0D
[    1.555416] hpet0: 3 comparators, 64-bit 100.000000 MHz counter=0D
[    1.564658] clocksource: Switched to clocksource hpet=0D
[    1.853027] VFS: Disk quotas dquot_6.6.0=0D
[    1.853871] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 byte=
s)=0D
[    1.863285] AppArmor: AppArmor Filesystem Enabled=0D
[    1.864157] pnp: PnP ACPI init=0D
[    1.878205] pnp: PnP ACPI: found 6 devices=0D
[    1.927881] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, m=
ax_idle_ns: 2085701024 ns=0D
[    1.932669] NET: Registered protocol family 2=0D
[    1.943514] TCP established hash table entries: 2048 (order: 2, 16384 by=
tes)=0D
[    1.944165] TCP bind hash table entries: 2048 (order: 3, 32768 bytes)=0D
[    1.944165] TCP: Hash tables configured (established 2048 bind 2048)=0D
[    1.948669] UDP hash table entries: 256 (order: 1, 8192 bytes)=0D
[    1.949486] UDP-Lite hash table entries: 256 (order: 1, 8192 bytes)=0D
[    1.953254] NET: Registered protocol family 1=0D
[    1.954338] pci 0000:00:00.0: Limiting direct PCI/PCI transfers=0D
[    1.954932] pci 0000:00:01.0: PIIX3: Enabling Passive Release=0D
[    1.955645] pci 0000:00:01.0: Activating ISA DMA hang workarounds=0D
[    1.956854] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x0=
00c0000-0x000dffff]=0D
[    1.968936] Trying to unpack rootfs image as initramfs...=0D
[    3.798306] Freeing initrd memory: 11000K=0D
[    3.802929] Scanning for low memory corruption every 60 seconds=0D
[    3.815440] Initialise system trusted keyrings=0D
[    3.818763] workingset: timestamp_bits=3D40 max_order=3D16 bucket_order=
=3D0=0D
[    3.846004] zbud: loaded=0D
[    3.862888] Allocating IMA blacklist keyring.=0D
[    3.899156] Key type asymmetric registered=0D
[    3.899667] Asymmetric key parser 'x509' registered=0D
[    3.901802] Block layer SCSI generic (bsg) driver version 0.4 loaded (ma=
jor 247)=0D
[    3.903936] io scheduler noop registered=0D
[    3.904665] io scheduler deadline registered (default)=0D
[    3.906720] io scheduler cfq registered=0D
[    3.917369] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/inpu=
t/input0=0D
[    3.922238] ACPI: Power Button [PWRF]=0D
[    3.931398] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled=0D
[    3.958457] 00:05: ttyS0 at I/O 0x3f8 (irq =3D 4, base_baud =3D 115200) =
is a 16550A=0D
[    4.013121] Linux agpgart interface v0.103=0D
[    4.095282] brd: module loaded=0D
[    4.127041] loop: module loaded=0D
[    4.149868] scsi host0: ata_piix=0D
[    4.154499] scsi host1: ata_piix=0D
[    4.156069] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc100 irq 1=
4=0D
[    4.156847] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc108 irq 1=
5=0D
[    4.167823] libphy: Fixed MDIO Bus: probed=0D
[    4.168156] tun: Universal TUN/TAP device driver, 1.6=0D
[    4.170968] PPP generic driver version 2.4.2=0D
[    4.173117] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver=0D
[    4.173808] ehci-pci: EHCI PCI platform driver=0D
[    4.174631] ehci-platform: EHCI generic platform driver=0D
[    4.175286] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver=0D
[    4.175883] ohci-pci: OHCI PCI platform driver=0D
[    4.177008] ohci-platform: OHCI generic platform driver=0D
[    4.177680] uhci_hcd: USB Universal Host Controller Interface driver=0D
[    4.181524] i8042: PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x6=
0,0x64 irq 1,12=0D
[    4.188465] serio: i8042 KBD port at 0x60,0x64 irq 1=0D
[    4.189322] serio: i8042 AUX port at 0x60,0x64 irq 12=0D
[    4.194312] mousedev: PS/2 mouse device common for all mice=0D
[    4.201766] rtc_cmos 00:00: RTC can wake from S4=0D
[    4.206020] input: AT Translated Set 2 keyboard as /devices/platform/i80=
42/serio0/input/input1=0D
[    4.210802] rtc_cmos 00:00: rtc core: registered rtc_cmos as rtc0=0D
[    4.212653] rtc_cmos 00:00: alarms up to one day, y3k, 114 bytes nvram, =
hpet irqs=0D
[    4.213502] i2c /dev entries driver=0D
[    4.215174] device-mapper: uevent: version 1.0.3=0D
[    4.217866] device-mapper: ioctl: 4.37.0-ioctl (2017-09-20) initialised:=
 dm-devel@HIDDEN=0D
[    4.219362] ledtrig-cpu: registered to indicate activity on CPUs=0D
[    4.230168] NET: Registered protocol family 10=0D
[    4.245127] Segment Routing with IPv6=0D
[    4.246373] NET: Registered protocol family 17=0D
[    4.247375] Key type dns_resolver registered=0D
[    4.251796] sched_clock: Marking stable (4248154360, 0)->(4361042007, -1=
12887647)=0D
[    4.259188] registered taskstats version 1=0D
[    4.259661] Loading compiled-in X.509 certificates=0D
[    4.262246] zswap: loaded using pool lzo/zbud=0D
[    4.285094] Key type big_key registered=0D
[    4.289432] Key type trusted registered=0D
[    4.293728] Key type encrypted registered=0D
[    4.294241] AppArmor: AppArmor sha1 policy hashing enabled=0D
[    4.295329] ima: No TPM chip found, activating TPM-bypass! (rc=3D-19)=0D
[    4.301130] evm: HMAC attrs: 0x1=0D
[    4.306850]   Magic number: 10:245:44=0D
[    4.309171] rtc_cmos 00:00: setting system clock to 2018-03-29 20:00:34 =
UTC (1522353634)=0D
[    4.315004] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found=0D
[    4.315523] EDD information not available.=0D
[    4.338845] ata2.00: ATAPI: QEMU DVD-ROM, 2.5+, max UDMA/100=0D
[    4.342576] ata2.00: configured for MWDMA2=0D
[    4.362669] scsi 1:0:0:0: CD-ROM            QEMU     QEMU DVD-ROM     2.=
5+ PQ: 0 ANSI: 5=0D
[    4.389879] sr 1:0:0:0: [sr0] scsi3-mmc drive: 4x/4x cd/rw xa/form2 tray=
=0D
[    4.390735] cdrom: Uniform CD-ROM driver Revision: 3.20=0D
[    4.399275] sr 1:0:0:0: Attached scsi generic sg0 type 5=0D
[    4.474085] Freeing unused kernel memory: 1760K=0D
[    4.474622] Write protecting the kernel read-only data: 18432k=0D
[    4.481944] Freeing unused kernel memory: 2024K=0D
[    4.488199] Freeing unused kernel memory: 256K=0D
GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thr=
ead=0D
GC Warning: Couldn't read /proc/stat=0D
[    4.826412] tsc: Refined TSC clocksource calibration: 1849.226 MHz=0D
[    4.827283] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x354=
f9f4e667, max_idle_ns: 881590762287 ns=0D
[    5.861133] clocksource: Switched to clocksource tsc=0D
Welcome, this is GNU's early boot Guile.=0D
Use '--repl' for an initrd REPL.=0D
=0D
loading kernel modules...=0D
[    6.068166] usbcore: registered new interface driver usb-storage=0D
[    6.114030] usbcore: registered new interface driver uas=0D
[    6.229953] hidraw: raw HID events driver (C) Jiri Kosina=0D
[    6.246509] usbcore: registered new interface driver usbhid=0D
[    6.247023] usbhid: USB HID core driver=0D
[    6.457581] isci: Intel(R) C600 SAS Controller Driver - version 1.2.0=0D
[    6.980292] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11=0D
[    7.459346] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 10=0D
[    7.939955] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 10=0D
[    8.419789] ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11=0D
[    9.047289]  vda: vda1 vda2=0D
[    9.199424] FS-Cache: Loaded=0D
[    9.234168] 9pnet: Installing 9P2000 support=0D
[    9.246603] 9p: Installing v9fs 9p2000 file system support=0D
[    9.248614] FS-Cache: Netfs '9p' registered for caching=0D
[    9.357039] EXT4-fs (vda1): mounted filesystem with ordered data mode. O=
pts: (null)=0D
loading '/gnu/store/lli9bx5hq3hqb1d2vshm41sc2whxm36m-system/boot'...=0D
making '/gnu/store/lli9bx5hq3hqb1d2vshm41sc2whxm36m-system' the current sys=
tem...=0D
setting up setuid programs in '/run/setuid-programs'...=0D
populating /etc from /gnu/store/d1g43dj80wph83ag2zldiiz823gs4wz3-etc...=0D
adding user 'root'...=0D
adding group 'root'...=0D
adding group 'wheel'...=0D
adding group 'users'...=0D
adding group 'nogroup'...=0D
adding group 'tty'...=0D
adding group 'dialout'...=0D
adding group 'kmem'...=0D
adding group 'input'...=0D
adding group 'video'...=0D
adding group 'audio'...=0D
adding group 'netdev'...=0D
adding group 'lp'...=0D
adding group 'disk'...=0D
adding group 'floppy'...=0D
adding group 'cdrom'...=0D
adding group 'tape'...=0D
adding group 'kvm'...=0D
adding group 'guixbuild'...=0D
adding group 'sshd'...=0D
usermod: no changes=0D
adding user 'alice'...=0D
[   20.354756] clocksource: timekeeping watchdog on CPU0: Marking clocksour=
ce 'tsc' as unstable because the skew is too large:=0D
[   20.361090] clocksource:                       'hpet' wd_now: 7bf2c9db w=
d_last: 778761fc mask: ffffffff=0D
[   20.365593] clocksource:                       'tsc' cs_now: 9bcfd4001 c=
s_last: 9848ecebb mask: ffffffffffffffff=0D
[   20.368620] tsc: Marking TSC unstable due to clocksource watchdog=0D
[   20.370720] TSC found unstable after boot, most likely due to broken BIO=
S. Use 'tsc=3Dunstable'.=0D
[   20.373207] sched_clock: Marking unstable (20370599229, 13198)<-(2048351=
2433, -112887647)=0D
[   20.397680] clocksource: Switched to clocksource hpet=0D
adding user 'nobody'...=0D
adding user 'guixbuilder01'...=0D
adding user 'guixbuilder02'...=0D
adding user 'guixbuilder03'...=0D
adding user 'guixbuilder04'...=0D
adding user 'guixbuilder05'...=0D
adding user 'guixbuilder06'...=0D
adding user 'guixbuilder07'...=0D
adding user 'guixbuilder08'...=0D
adding user 'guixbuilder09'...=0D
adding user 'guixbuilder10'...=0D
adding user 'sshd'...=0D
registering public key '/gnu/store/xzz0xn80jp48fzy5xz4k8nmwwz1badgc-guix-0.=
14.0-9.bdf0c64/share/guix/hydra.gnu.org.pub'...=0D
[   28.866401] random: crng init done=0D
ssh-keygen: generating new host keys: RSA DSA ECDSA ED25519 =0D
[   40.483832] shepherd[1]: Service root has been started.=0D
[   45.306274] shepherd[1]: starting services...=0D
[   45.347538] shepherd[1]: Service root-file-system has been started.=0D
[   45.387508] shepherd[1]: Service user-file-systems has been started.=0D
[   45.445802] shepherd[1]: Service file-system-/dev/pts has been started.=
=0D
[   45.493677] shepherd[1]: Service file-system-/dev/shm has been started.=
=0D
[   45.533174] shepherd[1]: Service file-systems has been started.=0D
[   45.791813] shepherd[1]: waiting for udevd...=0D
[   46.497694] shepherd[1]: waiting for udevd...=0D
[   46.797757] udevd[264]: starting version 3.2.4=0D
[   47.411495] udevd[264]: starting eudev-3.2.4=0D
[   47.471732] udevd[264]: no sender credentials received, message ignored=
=0D
[   49.356174] parport_pc 00:04: reported by Plug and Play ACPI=0D
[   49.393292] parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]=0D
[   49.431225] Floppy drive(s): fd0 is 2.88M AMI BIOS=0D
[   49.487746] FDC 0 is a S82078B=0D
[   49.743631] piix4_smbus 0000:00:01.3: SMBus Host Controller at 0x700, re=
vision 0=0D
[   50.091114] input: PC Speaker as /devices/platform/pcspkr/input/input3=0D
[   50.786448] Error: Driver 'pcspkr' is already registered, aborting...=0D
[   51.535618] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/=
i8042/serio1/input/input4=0D
[   52.508577] kvm: Nested Virtualization enabled=0D
[   52.913484] ppdev: user-space parallel port driver=0D
[   53.089682] Error: Driver 'pcspkr' is already registered, aborting...=0D
[   53.289733] shepherd[1]: Service udev has been started.=0D
[   53.470334] shepherd[1]: Service urandom-seed has been started.=0D
[   53.509739] shepherd[1]: Service user-processes has been started.=0D
[   53.551190] shepherd[1]: Service host-name has been started.=0D
[   53.705528] shepherd[1]: Service user-homes could not be started.=0D
nscd: 289 monitoring file `/etc/hosts` (1)=0D=0D
nscd: 289 monitoring directory `/etc` (2)=0D=0D
nscd: 289 monitoring file `/etc/resolv.conf` (3)=0D=0D
nscd: 289 monitoring directory `/etc` (2)=0D=0D
nscd: 289 monitoring file `/etc/services` (4)=0D=0D
nscd: 289 monitoring directory `/etc` (2)=0D=0D
[   54.801392] shepherd[1]: Service nscd has been started.=0D
[   54.902220] shepherd[1]: Service guix-daemon has been started.=0D
=0D=0D
=0D
This is the GNU system.  Welcome.=0D
komputilo login: shepherd: Service ssh-daemon could not be started.=0D
Backtrace:
           4 (primitive-load "/gnu/store/gzysid4gy412hnd0jhj72c3c1zb?")
In ice-9/eval.scm:
    619:8  3 (_ #f)
    619:8  2 (_ #(#(#<directory (guile-user) 7ce140> #<test-run?>) #))
   293:34  1 (_ #(#(#<directory (guile-user) 7ce140> #<test-run?>) #))
In unknown file:
           0 (scm-error misc-error #f "~A ~S" ("file didn't show?" ?) ?)

ERROR: In procedure scm-error:
file didn't show up "/var/run/sshd.pid"
QEMU runs as PID 4
connected to QEMU's monitor
read QEMU monitor prompt
connected to guest REPL
%%%% Starting test ssh-daemon  (Writing full log to "ssh-daemon.log")
marionette is ready
note: keeping build directory `/tmp/guix-build-openssh.drv-0'
builder for `/gnu/store/z4whl2ghvwwhyh323ihh13n1y8j6f6bq-openssh.drv' faile=
d with exit code 1
@ build-failed /gnu/store/z4whl2ghvwwhyh323ihh13n1y8j6f6bq-openssh.drv - 1 =
builder for `/gnu/store/z4whl2ghvwwhyh323ihh13n1y8j6f6bq-openssh.drv' faile=
d with exit code 1
TOTAL: 1
FAIL: /gnu/store/rs538fa2y5vqg76fcp1r5pyd6gcg29y0-openssh

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
make: *** [Makefile:5232: check-system] Error 1

--zYM0uCDKw75PZbzx--

--p4qYPpj5QlsIQJ0K
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlq9R6AACgkQJkb6MLrK
fwjYhxAAspQ8Xkb3/m2SOEAQM9jRw1OwhshfiH8o0fwNywt4wEFV/xTTVwIG1PS0
/GoOPp7P9Yaf82mOX3BuuykFmAE+DLtP4Ee2rwLFA/vM7rMAkLaGjId7h/e/L+M4
7XBVT2esgCkKwD2hM5zWiMUWF+7YsoV4jRh9u0YZ28B8mmAxqTgArSsgl94Z+Y4l
Fh6WPt1ztTyRgn0P3GiWwdqNeHMNXeLwX2/jA7XtpGv0jin/dSkIX//dzC4cXqVB
3jB05GlgOdlYvMMijx/bGPf2RBhUtWya48fbPaCI+GCZHAZr/fR9weUF5lTFyjQ8
lpo3rehm1ED3D264ocnoTxMMktlJdNPmXoX2W9Lz3cQU6KuUNTSWTV6mmCxTbCaS
nQosqZvc8kLxdlY6lEO6Xs2E6y2v7qLTkuA+BZEv5zsOzSTMzGIN6XYODmdoFcv9
E9z5oFxHaUn+BnpfrfM0hCLIH8XbjVhRkmlJU2J4pkFLC7yiw0OglG+FwIq9vYgb
IOwxF2M2hcnSAuUgJjLh/vlGun2yXvb2SwcjGX7+a2Q8XL4Vp8rTTRXTYO0EwlR1
GMJl5TgJBq8iExTLJLtBybcKhO1cReIQq1YlXWjrao9ckqzZeyo/lacpyQibrcdU
0okRQAPdL1NnRyBoyu/9cqLdR6DrPExJxL/AEvMtaMWYlL4Jios=
=t4kS
-----END PGP SIGNATURE-----

--p4qYPpj5QlsIQJ0K--




Acknowledgement sent to Leo Famulari <leo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#30993; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Nov 2018 21:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.